target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

%spirv.ReserveId = type opaque
%spirv.Pipe._1 = type opaque
%spirv.Pipe._0 = type opaque

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalInvocationId() #0

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)*, i32, i32, i32) #1

; Function Attrs: nounwind
declare spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId*) #1

; Function Attrs: nounwind
declare spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #1

; Function Attrs: nounwind
declare spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i32) #1

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)*, i32, i32, i32) #1

; Function Attrs: nounwind
declare spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #1

; Function Attrs: nounwind
declare spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i32) #1

; Function Attrs: nounwind
define spir_kernel void @test_multiple_pipe_write(i32 addrspace(1)* %src, %spirv.Pipe._1 addrspace(1)* %pipe0, %spirv.Pipe._1 addrspace(1)* %pipe1, %spirv.Pipe._1 addrspace(1)* %pipe2, %spirv.Pipe._1 addrspace(1)* %pipe3, %spirv.Pipe._1 addrspace(1)* %pipe4, %spirv.Pipe._1 addrspace(1)* %pipe5, %spirv.Pipe._1 addrspace(1)* %pipe6, %spirv.Pipe._1 addrspace(1)* %pipe7, %spirv.Pipe._1 addrspace(1)* %pipe8, %spirv.Pipe._1 addrspace(1)* %pipe9, %spirv.Pipe._1 addrspace(1)* %pipe10, %spirv.Pipe._1 addrspace(1)* %pipe11, %spirv.Pipe._1 addrspace(1)* %pipe12, %spirv.Pipe._1 addrspace(1)* %pipe13, %spirv.Pipe._1 addrspace(1)* %pipe14, %spirv.Pipe._1 addrspace(1)* %pipe15, i32 %num_pipes) #1 {
  %1 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalInvocationId() #0
  %call = extractelement <3 x i64> %1, i32 0
  %conv = trunc i64 %call to i32
  %conv1 = sext i32 %conv to i64
  %2 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call2 = extractelement <3 x i64> %2, i32 0
  %conv3 = sext i32 %num_pipes to i64
  %div = udiv i64 %call2, %conv3
  %cmp = icmp ult i64 %conv1, %div
  br i1 %cmp, label %3, label %10

3:                                                ; preds = %0
  %4 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe0, i32 1, i32 4, i32 4) #1
  %call5 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %4) #1
  %i1trunc = trunc i8 %call5 to i1
  br i1 %i1trunc, label %5, label %9

5:                                                ; preds = %3
  %idxprom = sext i32 %conv to i64
  %6 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom
  %7 = addrspacecast i32 addrspace(1)* %6 to i8 addrspace(4)*
  %8 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe0, %spirv.ReserveId* %4, i32 0, i8 addrspace(4)* %7, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe0, %spirv.ReserveId* %4, i32 4, i32 4) #1
  br label %9

9:                                                ; preds = %5, %3
  br label %160

10:                                               ; preds = %0
  %conv7 = sext i32 %conv to i64
  %11 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call8 = extractelement <3 x i64> %11, i32 0
  %mul = mul i64 2, %call8
  %conv9 = sext i32 %num_pipes to i64
  %div10 = udiv i64 %mul, %conv9
  %cmp11 = icmp ult i64 %conv7, %div10
  br i1 %cmp11, label %12, label %19

12:                                               ; preds = %10
  %13 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe1, i32 1, i32 4, i32 4) #1
  %call14 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %13) #1
  %i1trunc1 = trunc i8 %call14 to i1
  br i1 %i1trunc1, label %14, label %18

14:                                               ; preds = %12
  %idxprom16 = sext i32 %conv to i64
  %15 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom16
  %16 = addrspacecast i32 addrspace(1)* %15 to i8 addrspace(4)*
  %17 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe1, %spirv.ReserveId* %13, i32 0, i8 addrspace(4)* %16, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe1, %spirv.ReserveId* %13, i32 4, i32 4) #1
  br label %18

18:                                               ; preds = %14, %12
  br label %159

19:                                               ; preds = %10
  %conv20 = sext i32 %conv to i64
  %20 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call21 = extractelement <3 x i64> %20, i32 0
  %mul22 = mul i64 3, %call21
  %conv23 = sext i32 %num_pipes to i64
  %div24 = udiv i64 %mul22, %conv23
  %cmp25 = icmp ult i64 %conv20, %div24
  br i1 %cmp25, label %21, label %28

21:                                               ; preds = %19
  %22 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe2, i32 1, i32 4, i32 4) #1
  %call28 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %22) #1
  %i1trunc2 = trunc i8 %call28 to i1
  br i1 %i1trunc2, label %23, label %27

23:                                               ; preds = %21
  %idxprom30 = sext i32 %conv to i64
  %24 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom30
  %25 = addrspacecast i32 addrspace(1)* %24 to i8 addrspace(4)*
  %26 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe2, %spirv.ReserveId* %22, i32 0, i8 addrspace(4)* %25, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe2, %spirv.ReserveId* %22, i32 4, i32 4) #1
  br label %27

27:                                               ; preds = %23, %21
  br label %158

28:                                               ; preds = %19
  %conv34 = sext i32 %conv to i64
  %29 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call35 = extractelement <3 x i64> %29, i32 0
  %mul36 = mul i64 4, %call35
  %conv37 = sext i32 %num_pipes to i64
  %div38 = udiv i64 %mul36, %conv37
  %cmp39 = icmp ult i64 %conv34, %div38
  br i1 %cmp39, label %30, label %37

30:                                               ; preds = %28
  %31 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe3, i32 1, i32 4, i32 4) #1
  %call42 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %31) #1
  %i1trunc3 = trunc i8 %call42 to i1
  br i1 %i1trunc3, label %32, label %36

32:                                               ; preds = %30
  %idxprom44 = sext i32 %conv to i64
  %33 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom44
  %34 = addrspacecast i32 addrspace(1)* %33 to i8 addrspace(4)*
  %35 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe3, %spirv.ReserveId* %31, i32 0, i8 addrspace(4)* %34, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe3, %spirv.ReserveId* %31, i32 4, i32 4) #1
  br label %36

36:                                               ; preds = %32, %30
  br label %157

37:                                               ; preds = %28
  %conv48 = sext i32 %conv to i64
  %38 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call49 = extractelement <3 x i64> %38, i32 0
  %mul50 = mul i64 5, %call49
  %conv51 = sext i32 %num_pipes to i64
  %div52 = udiv i64 %mul50, %conv51
  %cmp53 = icmp ult i64 %conv48, %div52
  br i1 %cmp53, label %39, label %46

39:                                               ; preds = %37
  %40 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe4, i32 1, i32 4, i32 4) #1
  %call56 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %40) #1
  %i1trunc4 = trunc i8 %call56 to i1
  br i1 %i1trunc4, label %41, label %45

41:                                               ; preds = %39
  %idxprom58 = sext i32 %conv to i64
  %42 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom58
  %43 = addrspacecast i32 addrspace(1)* %42 to i8 addrspace(4)*
  %44 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe4, %spirv.ReserveId* %40, i32 0, i8 addrspace(4)* %43, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe4, %spirv.ReserveId* %40, i32 4, i32 4) #1
  br label %45

45:                                               ; preds = %41, %39
  br label %156

46:                                               ; preds = %37
  %conv62 = sext i32 %conv to i64
  %47 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call63 = extractelement <3 x i64> %47, i32 0
  %mul64 = mul i64 6, %call63
  %conv65 = sext i32 %num_pipes to i64
  %div66 = udiv i64 %mul64, %conv65
  %cmp67 = icmp ult i64 %conv62, %div66
  br i1 %cmp67, label %48, label %55

48:                                               ; preds = %46
  %49 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe5, i32 1, i32 4, i32 4) #1
  %call70 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %49) #1
  %i1trunc5 = trunc i8 %call70 to i1
  br i1 %i1trunc5, label %50, label %54

50:                                               ; preds = %48
  %idxprom72 = sext i32 %conv to i64
  %51 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom72
  %52 = addrspacecast i32 addrspace(1)* %51 to i8 addrspace(4)*
  %53 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe5, %spirv.ReserveId* %49, i32 0, i8 addrspace(4)* %52, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe5, %spirv.ReserveId* %49, i32 4, i32 4) #1
  br label %54

54:                                               ; preds = %50, %48
  br label %155

55:                                               ; preds = %46
  %conv76 = sext i32 %conv to i64
  %56 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call77 = extractelement <3 x i64> %56, i32 0
  %mul78 = mul i64 7, %call77
  %conv79 = sext i32 %num_pipes to i64
  %div80 = udiv i64 %mul78, %conv79
  %cmp81 = icmp ult i64 %conv76, %div80
  br i1 %cmp81, label %57, label %64

57:                                               ; preds = %55
  %58 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe6, i32 1, i32 4, i32 4) #1
  %call84 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %58) #1
  %i1trunc6 = trunc i8 %call84 to i1
  br i1 %i1trunc6, label %59, label %63

59:                                               ; preds = %57
  %idxprom86 = sext i32 %conv to i64
  %60 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom86
  %61 = addrspacecast i32 addrspace(1)* %60 to i8 addrspace(4)*
  %62 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe6, %spirv.ReserveId* %58, i32 0, i8 addrspace(4)* %61, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe6, %spirv.ReserveId* %58, i32 4, i32 4) #1
  br label %63

63:                                               ; preds = %59, %57
  br label %154

64:                                               ; preds = %55
  %conv90 = sext i32 %conv to i64
  %65 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call91 = extractelement <3 x i64> %65, i32 0
  %mul92 = mul i64 8, %call91
  %conv93 = sext i32 %num_pipes to i64
  %div94 = udiv i64 %mul92, %conv93
  %cmp95 = icmp ult i64 %conv90, %div94
  br i1 %cmp95, label %66, label %73

66:                                               ; preds = %64
  %67 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe7, i32 1, i32 4, i32 4) #1
  %call98 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %67) #1
  %i1trunc7 = trunc i8 %call98 to i1
  br i1 %i1trunc7, label %68, label %72

68:                                               ; preds = %66
  %idxprom100 = sext i32 %conv to i64
  %69 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom100
  %70 = addrspacecast i32 addrspace(1)* %69 to i8 addrspace(4)*
  %71 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe7, %spirv.ReserveId* %67, i32 0, i8 addrspace(4)* %70, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe7, %spirv.ReserveId* %67, i32 4, i32 4) #1
  br label %72

72:                                               ; preds = %68, %66
  br label %153

73:                                               ; preds = %64
  %conv104 = sext i32 %conv to i64
  %74 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call105 = extractelement <3 x i64> %74, i32 0
  %mul106 = mul i64 9, %call105
  %conv107 = sext i32 %num_pipes to i64
  %div108 = udiv i64 %mul106, %conv107
  %cmp109 = icmp ult i64 %conv104, %div108
  br i1 %cmp109, label %75, label %82

75:                                               ; preds = %73
  %76 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe8, i32 1, i32 4, i32 4) #1
  %call112 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %76) #1
  %i1trunc8 = trunc i8 %call112 to i1
  br i1 %i1trunc8, label %77, label %81

77:                                               ; preds = %75
  %idxprom114 = sext i32 %conv to i64
  %78 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom114
  %79 = addrspacecast i32 addrspace(1)* %78 to i8 addrspace(4)*
  %80 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe8, %spirv.ReserveId* %76, i32 0, i8 addrspace(4)* %79, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe8, %spirv.ReserveId* %76, i32 4, i32 4) #1
  br label %81

81:                                               ; preds = %77, %75
  br label %152

82:                                               ; preds = %73
  %conv118 = sext i32 %conv to i64
  %83 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call119 = extractelement <3 x i64> %83, i32 0
  %mul120 = mul i64 10, %call119
  %conv121 = sext i32 %num_pipes to i64
  %div122 = udiv i64 %mul120, %conv121
  %cmp123 = icmp ult i64 %conv118, %div122
  br i1 %cmp123, label %84, label %91

84:                                               ; preds = %82
  %85 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe9, i32 1, i32 4, i32 4) #1
  %call126 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %85) #1
  %i1trunc9 = trunc i8 %call126 to i1
  br i1 %i1trunc9, label %86, label %90

86:                                               ; preds = %84
  %idxprom128 = sext i32 %conv to i64
  %87 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom128
  %88 = addrspacecast i32 addrspace(1)* %87 to i8 addrspace(4)*
  %89 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe9, %spirv.ReserveId* %85, i32 0, i8 addrspace(4)* %88, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe9, %spirv.ReserveId* %85, i32 4, i32 4) #1
  br label %90

90:                                               ; preds = %86, %84
  br label %151

91:                                               ; preds = %82
  %conv132 = sext i32 %conv to i64
  %92 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call133 = extractelement <3 x i64> %92, i32 0
  %mul134 = mul i64 11, %call133
  %conv135 = sext i32 %num_pipes to i64
  %div136 = udiv i64 %mul134, %conv135
  %cmp137 = icmp ult i64 %conv132, %div136
  br i1 %cmp137, label %93, label %100

93:                                               ; preds = %91
  %94 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe10, i32 1, i32 4, i32 4) #1
  %call140 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %94) #1
  %i1trunc10 = trunc i8 %call140 to i1
  br i1 %i1trunc10, label %95, label %99

95:                                               ; preds = %93
  %idxprom142 = sext i32 %conv to i64
  %96 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom142
  %97 = addrspacecast i32 addrspace(1)* %96 to i8 addrspace(4)*
  %98 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe10, %spirv.ReserveId* %94, i32 0, i8 addrspace(4)* %97, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe10, %spirv.ReserveId* %94, i32 4, i32 4) #1
  br label %99

99:                                               ; preds = %95, %93
  br label %150

100:                                              ; preds = %91
  %conv146 = sext i32 %conv to i64
  %101 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call147 = extractelement <3 x i64> %101, i32 0
  %mul148 = mul i64 12, %call147
  %conv149 = sext i32 %num_pipes to i64
  %div150 = udiv i64 %mul148, %conv149
  %cmp151 = icmp ult i64 %conv146, %div150
  br i1 %cmp151, label %102, label %109

102:                                              ; preds = %100
  %103 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe11, i32 1, i32 4, i32 4) #1
  %call154 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %103) #1
  %i1trunc11 = trunc i8 %call154 to i1
  br i1 %i1trunc11, label %104, label %108

104:                                              ; preds = %102
  %idxprom156 = sext i32 %conv to i64
  %105 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom156
  %106 = addrspacecast i32 addrspace(1)* %105 to i8 addrspace(4)*
  %107 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe11, %spirv.ReserveId* %103, i32 0, i8 addrspace(4)* %106, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe11, %spirv.ReserveId* %103, i32 4, i32 4) #1
  br label %108

108:                                              ; preds = %104, %102
  br label %149

109:                                              ; preds = %100
  %conv160 = sext i32 %conv to i64
  %110 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call161 = extractelement <3 x i64> %110, i32 0
  %mul162 = mul i64 13, %call161
  %conv163 = sext i32 %num_pipes to i64
  %div164 = udiv i64 %mul162, %conv163
  %cmp165 = icmp ult i64 %conv160, %div164
  br i1 %cmp165, label %111, label %118

111:                                              ; preds = %109
  %112 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe12, i32 1, i32 4, i32 4) #1
  %call168 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %112) #1
  %i1trunc12 = trunc i8 %call168 to i1
  br i1 %i1trunc12, label %113, label %117

113:                                              ; preds = %111
  %idxprom170 = sext i32 %conv to i64
  %114 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom170
  %115 = addrspacecast i32 addrspace(1)* %114 to i8 addrspace(4)*
  %116 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe12, %spirv.ReserveId* %112, i32 0, i8 addrspace(4)* %115, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe12, %spirv.ReserveId* %112, i32 4, i32 4) #1
  br label %117

117:                                              ; preds = %113, %111
  br label %148

118:                                              ; preds = %109
  %conv174 = sext i32 %conv to i64
  %119 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call175 = extractelement <3 x i64> %119, i32 0
  %mul176 = mul i64 14, %call175
  %conv177 = sext i32 %num_pipes to i64
  %div178 = udiv i64 %mul176, %conv177
  %cmp179 = icmp ult i64 %conv174, %div178
  br i1 %cmp179, label %120, label %127

120:                                              ; preds = %118
  %121 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe13, i32 1, i32 4, i32 4) #1
  %call182 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %121) #1
  %i1trunc13 = trunc i8 %call182 to i1
  br i1 %i1trunc13, label %122, label %126

122:                                              ; preds = %120
  %idxprom184 = sext i32 %conv to i64
  %123 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom184
  %124 = addrspacecast i32 addrspace(1)* %123 to i8 addrspace(4)*
  %125 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe13, %spirv.ReserveId* %121, i32 0, i8 addrspace(4)* %124, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe13, %spirv.ReserveId* %121, i32 4, i32 4) #1
  br label %126

126:                                              ; preds = %122, %120
  br label %147

127:                                              ; preds = %118
  %conv188 = sext i32 %conv to i64
  %128 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call189 = extractelement <3 x i64> %128, i32 0
  %mul190 = mul i64 15, %call189
  %conv191 = sext i32 %num_pipes to i64
  %div192 = udiv i64 %mul190, %conv191
  %cmp193 = icmp ult i64 %conv188, %div192
  br i1 %cmp193, label %129, label %136

129:                                              ; preds = %127
  %130 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe14, i32 1, i32 4, i32 4) #1
  %call196 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %130) #1
  %i1trunc14 = trunc i8 %call196 to i1
  br i1 %i1trunc14, label %131, label %135

131:                                              ; preds = %129
  %idxprom198 = sext i32 %conv to i64
  %132 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom198
  %133 = addrspacecast i32 addrspace(1)* %132 to i8 addrspace(4)*
  %134 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe14, %spirv.ReserveId* %130, i32 0, i8 addrspace(4)* %133, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe14, %spirv.ReserveId* %130, i32 4, i32 4) #1
  br label %135

135:                                              ; preds = %131, %129
  br label %146

136:                                              ; preds = %127
  %conv202 = sext i32 %conv to i64
  %137 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call203 = extractelement <3 x i64> %137, i32 0
  %mul204 = mul i64 16, %call203
  %conv205 = sext i32 %num_pipes to i64
  %div206 = udiv i64 %mul204, %conv205
  %cmp207 = icmp ult i64 %conv202, %div206
  br i1 %cmp207, label %138, label %145

138:                                              ; preds = %136
  %139 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe15, i32 1, i32 4, i32 4) #1
  %call210 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %139) #1
  %i1trunc15 = trunc i8 %call210 to i1
  br i1 %i1trunc15, label %140, label %144

140:                                              ; preds = %138
  %idxprom212 = sext i32 %conv to i64
  %141 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom212
  %142 = addrspacecast i32 addrspace(1)* %141 to i8 addrspace(4)*
  %143 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe15, %spirv.ReserveId* %139, i32 0, i8 addrspace(4)* %142, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe15, %spirv.ReserveId* %139, i32 4, i32 4) #1
  br label %144

144:                                              ; preds = %140, %138
  br label %145

145:                                              ; preds = %144, %136
  br label %146

146:                                              ; preds = %145, %135
  br label %147

147:                                              ; preds = %146, %126
  br label %148

148:                                              ; preds = %147, %117
  br label %149

149:                                              ; preds = %148, %108
  br label %150

150:                                              ; preds = %149, %99
  br label %151

151:                                              ; preds = %150, %90
  br label %152

152:                                              ; preds = %151, %81
  br label %153

153:                                              ; preds = %152, %72
  br label %154

154:                                              ; preds = %153, %63
  br label %155

155:                                              ; preds = %154, %54
  br label %156

156:                                              ; preds = %155, %45
  br label %157

157:                                              ; preds = %156, %36
  br label %158

158:                                              ; preds = %157, %27
  br label %159

159:                                              ; preds = %158, %18
  br label %160

160:                                              ; preds = %159, %9
  ret void
}

; Function Attrs: nounwind
define spir_kernel void @test_multiple_pipe_read(i32 addrspace(1)* %dst, %spirv.Pipe._0 addrspace(1)* %pipe0, %spirv.Pipe._0 addrspace(1)* %pipe1, %spirv.Pipe._0 addrspace(1)* %pipe2, %spirv.Pipe._0 addrspace(1)* %pipe3, %spirv.Pipe._0 addrspace(1)* %pipe4, %spirv.Pipe._0 addrspace(1)* %pipe5, %spirv.Pipe._0 addrspace(1)* %pipe6, %spirv.Pipe._0 addrspace(1)* %pipe7, %spirv.Pipe._0 addrspace(1)* %pipe8, %spirv.Pipe._0 addrspace(1)* %pipe9, %spirv.Pipe._0 addrspace(1)* %pipe10, %spirv.Pipe._0 addrspace(1)* %pipe11, %spirv.Pipe._0 addrspace(1)* %pipe12, %spirv.Pipe._0 addrspace(1)* %pipe13, %spirv.Pipe._0 addrspace(1)* %pipe14, %spirv.Pipe._0 addrspace(1)* %pipe15, i32 %num_pipes) #1 {
  %1 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalInvocationId() #0
  %call = extractelement <3 x i64> %1, i32 0
  %conv = trunc i64 %call to i32
  %conv1 = sext i32 %conv to i64
  %2 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call2 = extractelement <3 x i64> %2, i32 0
  %conv3 = sext i32 %num_pipes to i64
  %div = udiv i64 %call2, %conv3
  %cmp = icmp ult i64 %conv1, %div
  br i1 %cmp, label %3, label %10

3:                                                ; preds = %0
  %4 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe0, i32 1, i32 4, i32 4) #1
  %call5 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %4) #1
  %i1trunc = trunc i8 %call5 to i1
  br i1 %i1trunc, label %5, label %9

5:                                                ; preds = %3
  %idxprom = sext i32 %conv to i64
  %6 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom
  %7 = addrspacecast i32 addrspace(1)* %6 to i8 addrspace(4)*
  %8 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe0, %spirv.ReserveId* %4, i32 0, i8 addrspace(4)* %7, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe0, %spirv.ReserveId* %4, i32 4, i32 4) #1
  br label %9

9:                                                ; preds = %5, %3
  br label %160

10:                                               ; preds = %0
  %conv7 = sext i32 %conv to i64
  %11 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call8 = extractelement <3 x i64> %11, i32 0
  %mul = mul i64 2, %call8
  %conv9 = sext i32 %num_pipes to i64
  %div10 = udiv i64 %mul, %conv9
  %cmp11 = icmp ult i64 %conv7, %div10
  br i1 %cmp11, label %12, label %19

12:                                               ; preds = %10
  %13 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe1, i32 1, i32 4, i32 4) #1
  %call14 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %13) #1
  %i1trunc1 = trunc i8 %call14 to i1
  br i1 %i1trunc1, label %14, label %18

14:                                               ; preds = %12
  %idxprom16 = sext i32 %conv to i64
  %15 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom16
  %16 = addrspacecast i32 addrspace(1)* %15 to i8 addrspace(4)*
  %17 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe1, %spirv.ReserveId* %13, i32 0, i8 addrspace(4)* %16, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe1, %spirv.ReserveId* %13, i32 4, i32 4) #1
  br label %18

18:                                               ; preds = %14, %12
  br label %159

19:                                               ; preds = %10
  %conv20 = sext i32 %conv to i64
  %20 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call21 = extractelement <3 x i64> %20, i32 0
  %mul22 = mul i64 3, %call21
  %conv23 = sext i32 %num_pipes to i64
  %div24 = udiv i64 %mul22, %conv23
  %cmp25 = icmp ult i64 %conv20, %div24
  br i1 %cmp25, label %21, label %28

21:                                               ; preds = %19
  %22 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe2, i32 1, i32 4, i32 4) #1
  %call28 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %22) #1
  %i1trunc2 = trunc i8 %call28 to i1
  br i1 %i1trunc2, label %23, label %27

23:                                               ; preds = %21
  %idxprom30 = sext i32 %conv to i64
  %24 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom30
  %25 = addrspacecast i32 addrspace(1)* %24 to i8 addrspace(4)*
  %26 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe2, %spirv.ReserveId* %22, i32 0, i8 addrspace(4)* %25, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe2, %spirv.ReserveId* %22, i32 4, i32 4) #1
  br label %27

27:                                               ; preds = %23, %21
  br label %158

28:                                               ; preds = %19
  %conv34 = sext i32 %conv to i64
  %29 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call35 = extractelement <3 x i64> %29, i32 0
  %mul36 = mul i64 4, %call35
  %conv37 = sext i32 %num_pipes to i64
  %div38 = udiv i64 %mul36, %conv37
  %cmp39 = icmp ult i64 %conv34, %div38
  br i1 %cmp39, label %30, label %37

30:                                               ; preds = %28
  %31 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe3, i32 1, i32 4, i32 4) #1
  %call42 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %31) #1
  %i1trunc3 = trunc i8 %call42 to i1
  br i1 %i1trunc3, label %32, label %36

32:                                               ; preds = %30
  %idxprom44 = sext i32 %conv to i64
  %33 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom44
  %34 = addrspacecast i32 addrspace(1)* %33 to i8 addrspace(4)*
  %35 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe3, %spirv.ReserveId* %31, i32 0, i8 addrspace(4)* %34, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe3, %spirv.ReserveId* %31, i32 4, i32 4) #1
  br label %36

36:                                               ; preds = %32, %30
  br label %157

37:                                               ; preds = %28
  %conv48 = sext i32 %conv to i64
  %38 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call49 = extractelement <3 x i64> %38, i32 0
  %mul50 = mul i64 5, %call49
  %conv51 = sext i32 %num_pipes to i64
  %div52 = udiv i64 %mul50, %conv51
  %cmp53 = icmp ult i64 %conv48, %div52
  br i1 %cmp53, label %39, label %46

39:                                               ; preds = %37
  %40 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe4, i32 1, i32 4, i32 4) #1
  %call56 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %40) #1
  %i1trunc4 = trunc i8 %call56 to i1
  br i1 %i1trunc4, label %41, label %45

41:                                               ; preds = %39
  %idxprom58 = sext i32 %conv to i64
  %42 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom58
  %43 = addrspacecast i32 addrspace(1)* %42 to i8 addrspace(4)*
  %44 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe4, %spirv.ReserveId* %40, i32 0, i8 addrspace(4)* %43, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe4, %spirv.ReserveId* %40, i32 4, i32 4) #1
  br label %45

45:                                               ; preds = %41, %39
  br label %156

46:                                               ; preds = %37
  %conv62 = sext i32 %conv to i64
  %47 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call63 = extractelement <3 x i64> %47, i32 0
  %mul64 = mul i64 6, %call63
  %conv65 = sext i32 %num_pipes to i64
  %div66 = udiv i64 %mul64, %conv65
  %cmp67 = icmp ult i64 %conv62, %div66
  br i1 %cmp67, label %48, label %55

48:                                               ; preds = %46
  %49 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe5, i32 1, i32 4, i32 4) #1
  %call70 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %49) #1
  %i1trunc5 = trunc i8 %call70 to i1
  br i1 %i1trunc5, label %50, label %54

50:                                               ; preds = %48
  %idxprom72 = sext i32 %conv to i64
  %51 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom72
  %52 = addrspacecast i32 addrspace(1)* %51 to i8 addrspace(4)*
  %53 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe5, %spirv.ReserveId* %49, i32 0, i8 addrspace(4)* %52, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe5, %spirv.ReserveId* %49, i32 4, i32 4) #1
  br label %54

54:                                               ; preds = %50, %48
  br label %155

55:                                               ; preds = %46
  %conv76 = sext i32 %conv to i64
  %56 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call77 = extractelement <3 x i64> %56, i32 0
  %mul78 = mul i64 7, %call77
  %conv79 = sext i32 %num_pipes to i64
  %div80 = udiv i64 %mul78, %conv79
  %cmp81 = icmp ult i64 %conv76, %div80
  br i1 %cmp81, label %57, label %64

57:                                               ; preds = %55
  %58 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe6, i32 1, i32 4, i32 4) #1
  %call84 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %58) #1
  %i1trunc6 = trunc i8 %call84 to i1
  br i1 %i1trunc6, label %59, label %63

59:                                               ; preds = %57
  %idxprom86 = sext i32 %conv to i64
  %60 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom86
  %61 = addrspacecast i32 addrspace(1)* %60 to i8 addrspace(4)*
  %62 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe6, %spirv.ReserveId* %58, i32 0, i8 addrspace(4)* %61, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe6, %spirv.ReserveId* %58, i32 4, i32 4) #1
  br label %63

63:                                               ; preds = %59, %57
  br label %154

64:                                               ; preds = %55
  %conv90 = sext i32 %conv to i64
  %65 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call91 = extractelement <3 x i64> %65, i32 0
  %mul92 = mul i64 8, %call91
  %conv93 = sext i32 %num_pipes to i64
  %div94 = udiv i64 %mul92, %conv93
  %cmp95 = icmp ult i64 %conv90, %div94
  br i1 %cmp95, label %66, label %73

66:                                               ; preds = %64
  %67 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe7, i32 1, i32 4, i32 4) #1
  %call98 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %67) #1
  %i1trunc7 = trunc i8 %call98 to i1
  br i1 %i1trunc7, label %68, label %72

68:                                               ; preds = %66
  %idxprom100 = sext i32 %conv to i64
  %69 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom100
  %70 = addrspacecast i32 addrspace(1)* %69 to i8 addrspace(4)*
  %71 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe7, %spirv.ReserveId* %67, i32 0, i8 addrspace(4)* %70, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe7, %spirv.ReserveId* %67, i32 4, i32 4) #1
  br label %72

72:                                               ; preds = %68, %66
  br label %153

73:                                               ; preds = %64
  %conv104 = sext i32 %conv to i64
  %74 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call105 = extractelement <3 x i64> %74, i32 0
  %mul106 = mul i64 9, %call105
  %conv107 = sext i32 %num_pipes to i64
  %div108 = udiv i64 %mul106, %conv107
  %cmp109 = icmp ult i64 %conv104, %div108
  br i1 %cmp109, label %75, label %82

75:                                               ; preds = %73
  %76 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe8, i32 1, i32 4, i32 4) #1
  %call112 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %76) #1
  %i1trunc8 = trunc i8 %call112 to i1
  br i1 %i1trunc8, label %77, label %81

77:                                               ; preds = %75
  %idxprom114 = sext i32 %conv to i64
  %78 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom114
  %79 = addrspacecast i32 addrspace(1)* %78 to i8 addrspace(4)*
  %80 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe8, %spirv.ReserveId* %76, i32 0, i8 addrspace(4)* %79, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe8, %spirv.ReserveId* %76, i32 4, i32 4) #1
  br label %81

81:                                               ; preds = %77, %75
  br label %152

82:                                               ; preds = %73
  %conv118 = sext i32 %conv to i64
  %83 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call119 = extractelement <3 x i64> %83, i32 0
  %mul120 = mul i64 10, %call119
  %conv121 = sext i32 %num_pipes to i64
  %div122 = udiv i64 %mul120, %conv121
  %cmp123 = icmp ult i64 %conv118, %div122
  br i1 %cmp123, label %84, label %91

84:                                               ; preds = %82
  %85 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe9, i32 1, i32 4, i32 4) #1
  %call126 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %85) #1
  %i1trunc9 = trunc i8 %call126 to i1
  br i1 %i1trunc9, label %86, label %90

86:                                               ; preds = %84
  %idxprom128 = sext i32 %conv to i64
  %87 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom128
  %88 = addrspacecast i32 addrspace(1)* %87 to i8 addrspace(4)*
  %89 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe9, %spirv.ReserveId* %85, i32 0, i8 addrspace(4)* %88, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe9, %spirv.ReserveId* %85, i32 4, i32 4) #1
  br label %90

90:                                               ; preds = %86, %84
  br label %151

91:                                               ; preds = %82
  %conv132 = sext i32 %conv to i64
  %92 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call133 = extractelement <3 x i64> %92, i32 0
  %mul134 = mul i64 11, %call133
  %conv135 = sext i32 %num_pipes to i64
  %div136 = udiv i64 %mul134, %conv135
  %cmp137 = icmp ult i64 %conv132, %div136
  br i1 %cmp137, label %93, label %100

93:                                               ; preds = %91
  %94 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe10, i32 1, i32 4, i32 4) #1
  %call140 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %94) #1
  %i1trunc10 = trunc i8 %call140 to i1
  br i1 %i1trunc10, label %95, label %99

95:                                               ; preds = %93
  %idxprom142 = sext i32 %conv to i64
  %96 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom142
  %97 = addrspacecast i32 addrspace(1)* %96 to i8 addrspace(4)*
  %98 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe10, %spirv.ReserveId* %94, i32 0, i8 addrspace(4)* %97, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe10, %spirv.ReserveId* %94, i32 4, i32 4) #1
  br label %99

99:                                               ; preds = %95, %93
  br label %150

100:                                              ; preds = %91
  %conv146 = sext i32 %conv to i64
  %101 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call147 = extractelement <3 x i64> %101, i32 0
  %mul148 = mul i64 12, %call147
  %conv149 = sext i32 %num_pipes to i64
  %div150 = udiv i64 %mul148, %conv149
  %cmp151 = icmp ult i64 %conv146, %div150
  br i1 %cmp151, label %102, label %109

102:                                              ; preds = %100
  %103 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe11, i32 1, i32 4, i32 4) #1
  %call154 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %103) #1
  %i1trunc11 = trunc i8 %call154 to i1
  br i1 %i1trunc11, label %104, label %108

104:                                              ; preds = %102
  %idxprom156 = sext i32 %conv to i64
  %105 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom156
  %106 = addrspacecast i32 addrspace(1)* %105 to i8 addrspace(4)*
  %107 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe11, %spirv.ReserveId* %103, i32 0, i8 addrspace(4)* %106, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe11, %spirv.ReserveId* %103, i32 4, i32 4) #1
  br label %108

108:                                              ; preds = %104, %102
  br label %149

109:                                              ; preds = %100
  %conv160 = sext i32 %conv to i64
  %110 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call161 = extractelement <3 x i64> %110, i32 0
  %mul162 = mul i64 13, %call161
  %conv163 = sext i32 %num_pipes to i64
  %div164 = udiv i64 %mul162, %conv163
  %cmp165 = icmp ult i64 %conv160, %div164
  br i1 %cmp165, label %111, label %118

111:                                              ; preds = %109
  %112 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe12, i32 1, i32 4, i32 4) #1
  %call168 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %112) #1
  %i1trunc12 = trunc i8 %call168 to i1
  br i1 %i1trunc12, label %113, label %117

113:                                              ; preds = %111
  %idxprom170 = sext i32 %conv to i64
  %114 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom170
  %115 = addrspacecast i32 addrspace(1)* %114 to i8 addrspace(4)*
  %116 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe12, %spirv.ReserveId* %112, i32 0, i8 addrspace(4)* %115, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe12, %spirv.ReserveId* %112, i32 4, i32 4) #1
  br label %117

117:                                              ; preds = %113, %111
  br label %148

118:                                              ; preds = %109
  %conv174 = sext i32 %conv to i64
  %119 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call175 = extractelement <3 x i64> %119, i32 0
  %mul176 = mul i64 14, %call175
  %conv177 = sext i32 %num_pipes to i64
  %div178 = udiv i64 %mul176, %conv177
  %cmp179 = icmp ult i64 %conv174, %div178
  br i1 %cmp179, label %120, label %127

120:                                              ; preds = %118
  %121 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe13, i32 1, i32 4, i32 4) #1
  %call182 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %121) #1
  %i1trunc13 = trunc i8 %call182 to i1
  br i1 %i1trunc13, label %122, label %126

122:                                              ; preds = %120
  %idxprom184 = sext i32 %conv to i64
  %123 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom184
  %124 = addrspacecast i32 addrspace(1)* %123 to i8 addrspace(4)*
  %125 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe13, %spirv.ReserveId* %121, i32 0, i8 addrspace(4)* %124, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe13, %spirv.ReserveId* %121, i32 4, i32 4) #1
  br label %126

126:                                              ; preds = %122, %120
  br label %147

127:                                              ; preds = %118
  %conv188 = sext i32 %conv to i64
  %128 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call189 = extractelement <3 x i64> %128, i32 0
  %mul190 = mul i64 15, %call189
  %conv191 = sext i32 %num_pipes to i64
  %div192 = udiv i64 %mul190, %conv191
  %cmp193 = icmp ult i64 %conv188, %div192
  br i1 %cmp193, label %129, label %136

129:                                              ; preds = %127
  %130 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe14, i32 1, i32 4, i32 4) #1
  %call196 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %130) #1
  %i1trunc14 = trunc i8 %call196 to i1
  br i1 %i1trunc14, label %131, label %135

131:                                              ; preds = %129
  %idxprom198 = sext i32 %conv to i64
  %132 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom198
  %133 = addrspacecast i32 addrspace(1)* %132 to i8 addrspace(4)*
  %134 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe14, %spirv.ReserveId* %130, i32 0, i8 addrspace(4)* %133, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe14, %spirv.ReserveId* %130, i32 4, i32 4) #1
  br label %135

135:                                              ; preds = %131, %129
  br label %146

136:                                              ; preds = %127
  %conv202 = sext i32 %conv to i64
  %137 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalSize() #0
  %call203 = extractelement <3 x i64> %137, i32 0
  %mul204 = mul i64 16, %call203
  %conv205 = sext i32 %num_pipes to i64
  %div206 = udiv i64 %mul204, %conv205
  %cmp207 = icmp ult i64 %conv202, %div206
  br i1 %cmp207, label %138, label %145

138:                                              ; preds = %136
  %139 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe15, i32 1, i32 4, i32 4) #1
  %call210 = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %139) #1
  %i1trunc15 = trunc i8 %call210 to i1
  br i1 %i1trunc15, label %140, label %144

140:                                              ; preds = %138
  %idxprom212 = sext i32 %conv to i64
  %141 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom212
  %142 = addrspacecast i32 addrspace(1)* %141 to i8 addrspace(4)*
  %143 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe15, %spirv.ReserveId* %139, i32 0, i8 addrspace(4)* %142, i32 4, i32 4) #1
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe15, %spirv.ReserveId* %139, i32 4, i32 4) #1
  br label %144

144:                                              ; preds = %140, %138
  br label %145

145:                                              ; preds = %144, %136
  br label %146

146:                                              ; preds = %145, %135
  br label %147

147:                                              ; preds = %146, %126
  br label %148

148:                                              ; preds = %147, %117
  br label %149

149:                                              ; preds = %148, %108
  br label %150

150:                                              ; preds = %149, %99
  br label %151

151:                                              ; preds = %150, %90
  br label %152

152:                                              ; preds = %151, %81
  br label %153

153:                                              ; preds = %152, %72
  br label %154

154:                                              ; preds = %153, %63
  br label %155

155:                                              ; preds = %154, %54
  br label %156

156:                                              ; preds = %155, %45
  br label %157

157:                                              ; preds = %156, %36
  br label %158

158:                                              ; preds = %157, %27
  br label %159

159:                                              ; preds = %158, %18
  br label %160

160:                                              ; preds = %159, %9
  ret void
}

attributes #0 = { nounwind readnone }
attributes #1 = { nounwind }

!opencl.kernels = !{!0, !7}
!IGCMetadata = !{!10}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!245}
!opencl.ocl.version = !{!245}
!opencl.used.extensions = !{!246}
!opencl.used.optional.core.features = !{!246}
!opencl.compiler.options = !{!247}

!0 = !{void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i32)* @test_multiple_pipe_write, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 0}
!2 = !{!"kernel_arg_access_qual", !"none", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"none"}
!3 = !{!"kernel_arg_type", !"int*", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"int"}
!4 = !{!"kernel_arg_type_qual", !"", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !""}
!5 = !{!"kernel_arg_base_type", !"int*", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"int"}
!6 = !{!"kernel_arg_name", !"src", !"pipe0", !"pipe1", !"pipe2", !"pipe3", !"pipe4", !"pipe5", !"pipe6", !"pipe7", !"pipe8", !"pipe9", !"pipe10", !"pipe11", !"pipe12", !"pipe13", !"pipe14", !"pipe15", !"num_pipes"}
!7 = !{void (i32 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, i32)* @test_multiple_pipe_read, !1, !8, !3, !4, !5, !9}
!8 = !{!"kernel_arg_access_qual", !"none", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"none"}
!9 = !{!"kernel_arg_name", !"dst", !"pipe0", !"pipe1", !"pipe2", !"pipe3", !"pipe4", !"pipe5", !"pipe6", !"pipe7", !"pipe8", !"pipe9", !"pipe10", !"pipe11", !"pipe12", !"pipe13", !"pipe14", !"pipe15", !"num_pipes"}
!10 = !{!"ModuleMD", !11, !12, !67, !126, !156, !172, !184, !194, !196, !197, !208, !209, !210, !211, !214, !215, !216, !217, !218, !219, !220, !221, !222, !223, !224, !225, !227, !231, !232, !233, !234, !235, !236, !111, !237, !238, !240, !243, !244}
!11 = !{!"isPrecise", i1 false}
!12 = !{!"compOpt", !13, !14, !15, !16, !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63, !64, !65, !66}
!13 = !{!"DenormsAreZero", i1 false}
!14 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!15 = !{!"OptDisable", i1 false}
!16 = !{!"MadEnable", i1 false}
!17 = !{!"NoSignedZeros", i1 false}
!18 = !{!"NoNaNs", i1 false}
!19 = !{!"FloatRoundingMode", i32 0}
!20 = !{!"FloatCvtIntRoundingMode", i32 3}
!21 = !{!"VISAPreSchedRPThreshold", i32 0}
!22 = !{!"SetLoopUnrollThreshold", i32 0}
!23 = !{!"UnsafeMathOptimizations", i1 false}
!24 = !{!"FiniteMathOnly", i1 false}
!25 = !{!"FastRelaxedMath", i1 false}
!26 = !{!"DashGSpecified", i1 false}
!27 = !{!"FastCompilation", i1 false}
!28 = !{!"UseScratchSpacePrivateMemory", i1 true}
!29 = !{!"RelaxedBuiltins", i1 false}
!30 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!31 = !{!"GreaterThan2GBBufferRequired", i1 true}
!32 = !{!"GreaterThan4GBBufferRequired", i1 true}
!33 = !{!"DisableA64WA", i1 false}
!34 = !{!"ForceEnableA64WA", i1 false}
!35 = !{!"PushConstantsEnable", i1 true}
!36 = !{!"HasPositivePointerOffset", i1 false}
!37 = !{!"HasBufferOffsetArg", i1 false}
!38 = !{!"BufferOffsetArgOptional", i1 true}
!39 = !{!"HasSubDWAlignedPtrArg", i1 false}
!40 = !{!"replaceGlobalOffsetsByZero", i1 false}
!41 = !{!"forcePixelShaderSIMDMode", i32 0}
!42 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!43 = !{!"UniformWGS", i1 false}
!44 = !{!"disableVertexComponentPacking", i1 false}
!45 = !{!"disablePartialVertexComponentPacking", i1 false}
!46 = !{!"PreferBindlessImages", i1 false}
!47 = !{!"UseBindlessMode", i1 false}
!48 = !{!"UseLegacyBindlessMode", i1 true}
!49 = !{!"disableMathRefactoring", i1 false}
!50 = !{!"atomicBranch", i1 false}
!51 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!52 = !{!"EnableFastestLinearScan", i1 false}
!53 = !{!"UseStatelessforPrivateMemory", i1 false}
!54 = !{!"EnableTakeGlobalAddress", i1 false}
!55 = !{!"IsLibraryCompilation", i1 false}
!56 = !{!"FastVISACompile", i1 false}
!57 = !{!"MatchSinCosPi", i1 false}
!58 = !{!"CaptureCompilerStats", i1 false}
!59 = !{!"EnableZEBinary", i1 false}
!60 = !{!"ExcludeIRFromZEBinary", i1 false}
!61 = !{!"allowDisableRematforCS", i1 false}
!62 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!63 = !{!"DisableCPSOmaskWA", i1 false}
!64 = !{!"DisableFastestGopt", i1 false}
!65 = !{!"WaForceHalfPromotion", i1 false}
!66 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!67 = !{!"FuncMD", !68, !69, !124, !125}
!68 = !{!"FuncMDMap[0]", void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i32)* @test_multiple_pipe_write}
!69 = !{!"FuncMDValue[0]", !70, !71, !75, !76, !77, !97, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123}
!70 = !{!"localOffsets"}
!71 = !{!"workGroupWalkOrder", !72, !73, !74}
!72 = !{!"dim0", i32 0}
!73 = !{!"dim1", i32 0}
!74 = !{!"dim2", i32 0}
!75 = !{!"funcArgs"}
!76 = !{!"functionType", !"KernelFunction"}
!77 = !{!"rtInfo", !78, !79, !80, !81, !82, !83, !84, !85, !86, !87, !88, !89, !90, !91, !92, !96}
!78 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!79 = !{!"isContinuation", i1 false}
!80 = !{!"hasTraceRayPayload", i1 false}
!81 = !{!"hasHitAttributes", i1 false}
!82 = !{!"hasCallableData", i1 false}
!83 = !{!"ShaderStackSize", i32 0}
!84 = !{!"ShaderHash", i64 0}
!85 = !{!"ShaderName", !""}
!86 = !{!"ParentName", !""}
!87 = !{!"SlotNum", i1* null}
!88 = !{!"NOSSize", i32 0}
!89 = !{!"Entries"}
!90 = !{!"SpillUnions"}
!91 = !{!"CustomHitAttrSizeInBytes", i32 0}
!92 = !{!"Types", !93, !94, !95}
!93 = !{!"FrameStartTys"}
!94 = !{!"ArgumentTys"}
!95 = !{!"FullFrameTys"}
!96 = !{!"Aliases"}
!97 = !{!"resAllocMD", !98, !99, !100, !101, !102}
!98 = !{!"uavsNumType", i32 0}
!99 = !{!"srvsNumType", i32 0}
!100 = !{!"samplersNumType", i32 0}
!101 = !{!"argAllocMDList"}
!102 = !{!"inlineSamplersMD"}
!103 = !{!"maxByteOffsets"}
!104 = !{!"IsInitializer", i1 false}
!105 = !{!"IsFinalizer", i1 false}
!106 = !{!"CompiledSubGroupsNumber", i32 0}
!107 = !{!"hasInlineVmeSamplers", i1 false}
!108 = !{!"localSize", i32 0}
!109 = !{!"localIDPresent", i1 false}
!110 = !{!"groupIDPresent", i1 false}
!111 = !{!"privateMemoryPerWI", i32 0}
!112 = !{!"globalIDPresent", i1 false}
!113 = !{!"hasSyncRTCalls", i1 false}
!114 = !{!"hasNonKernelArgLoad", i1 false}
!115 = !{!"hasNonKernelArgStore", i1 false}
!116 = !{!"hasNonKernelArgAtomic", i1 false}
!117 = !{!"UserAnnotations"}
!118 = !{!"m_OpenCLArgAddressSpaces"}
!119 = !{!"m_OpenCLArgAccessQualifiers"}
!120 = !{!"m_OpenCLArgTypes"}
!121 = !{!"m_OpenCLArgBaseTypes"}
!122 = !{!"m_OpenCLArgTypeQualifiers"}
!123 = !{!"m_OpenCLArgNames"}
!124 = !{!"FuncMDMap[1]", void (i32 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, i32)* @test_multiple_pipe_read}
!125 = !{!"FuncMDValue[1]", !70, !71, !75, !76, !77, !97, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123}
!126 = !{!"pushInfo", !127, !128, !129, !132, !133, !134, !135, !136, !137, !138, !139, !152, !153, !154, !155}
!127 = !{!"pushableAddresses"}
!128 = !{!"bindlessPushInfo"}
!129 = !{!"dynamicBufferInfo", !130, !131}
!130 = !{!"firstIndex", i32 0}
!131 = !{!"numOffsets", i32 0}
!132 = !{!"MaxNumberOfPushedBuffers", i32 0}
!133 = !{!"inlineConstantBufferSlot", i32 -1}
!134 = !{!"inlineConstantBufferOffset", i32 -1}
!135 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!136 = !{!"constants"}
!137 = !{!"inputs"}
!138 = !{!"constantReg"}
!139 = !{!"simplePushInfoArr", !140, !149, !150, !151}
!140 = !{!"simplePushInfoArrVec[0]", !141, !142, !143, !144, !145, !146, !147, !148}
!141 = !{!"cbIdx", i32 0}
!142 = !{!"pushableAddressGrfOffset", i32 -1}
!143 = !{!"pushableOffsetGrfOffset", i32 -1}
!144 = !{!"offset", i32 0}
!145 = !{!"size", i32 0}
!146 = !{!"isStateless", i1 false}
!147 = !{!"isBindless", i1 false}
!148 = !{!"simplePushLoads"}
!149 = !{!"simplePushInfoArrVec[1]", !141, !142, !143, !144, !145, !146, !147, !148}
!150 = !{!"simplePushInfoArrVec[2]", !141, !142, !143, !144, !145, !146, !147, !148}
!151 = !{!"simplePushInfoArrVec[3]", !141, !142, !143, !144, !145, !146, !147, !148}
!152 = !{!"simplePushBufferUsed", i32 0}
!153 = !{!"pushAnalysisWIInfos"}
!154 = !{!"inlineRTGlobalPtrOffset", i32 0}
!155 = !{!"rtSyncSurfPtrOffset", i32 0}
!156 = !{!"psInfo", !157, !158, !159, !160, !161, !162, !163, !164, !165, !166, !167, !168, !169, !170, !171}
!157 = !{!"BlendStateDisabledMask", i8 0}
!158 = !{!"SkipSrc0Alpha", i1 false}
!159 = !{!"DualSourceBlendingDisabled", i1 false}
!160 = !{!"ForceEnableSimd32", i1 false}
!161 = !{!"outputDepth", i1 false}
!162 = !{!"outputStencil", i1 false}
!163 = !{!"outputMask", i1 false}
!164 = !{!"blendToFillEnabled", i1 false}
!165 = !{!"forceEarlyZ", i1 false}
!166 = !{!"hasVersionedLoop", i1 false}
!167 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!168 = !{!"NumSamples", i8 0}
!169 = !{!"blendOptimizationMode"}
!170 = !{!"colorOutputMask"}
!171 = !{!"WaDisableVRS", i1 false}
!172 = !{!"csInfo", !173, !174, !175, !176, !177, !21, !22, !178, !179, !180, !181, !182, !50, !183}
!173 = !{!"maxWorkGroupSize", i32 0}
!174 = !{!"waveSize", i32 0}
!175 = !{!"ComputeShaderSecondCompile"}
!176 = !{!"forcedSIMDSize", i8 0}
!177 = !{!"forceTotalGRFNum", i32 0}
!178 = !{!"forcedVISAPreRAScheduler", i1 false}
!179 = !{!"disableLocalIdOrderOptimizations", i1 false}
!180 = !{!"disableDispatchAlongY", i1 false}
!181 = !{!"neededThreadIdLayout", i1* null}
!182 = !{!"forceTileYWalk", i1 false}
!183 = !{!"ResForHfPacking"}
!184 = !{!"msInfo", !185, !186, !187, !188, !189, !190, !191, !192, !193}
!185 = !{!"PrimitiveTopology", i32 3}
!186 = !{!"MaxNumOfPrimitives", i32 0}
!187 = !{!"MaxNumOfVertices", i32 0}
!188 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!189 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!190 = !{!"WorkGroupSize", i32 0}
!191 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!192 = !{!"IndexFormat", i32 6}
!193 = !{!"SubgroupSize", i32 0}
!194 = !{!"taskInfo", !195, !190, !191, !193}
!195 = !{!"MaxNumOfOutputs", i32 0}
!196 = !{!"NBarrierCnt", i32 0}
!197 = !{!"rtInfo", !198, !199, !200, !201, !202, !203, !204, !205, !206, !207}
!198 = !{!"RayQueryAllocSizeInBytes", i32 0}
!199 = !{!"NumContinuations", i32 -1}
!200 = !{!"RTAsyncStackAddrspace", i32 -1}
!201 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!202 = !{!"SWHotZoneAddrspace", i32 -1}
!203 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!204 = !{!"SWStackAddrspace", i32 -1}
!205 = !{!"SWStackSurfaceStateOffset", i1* null}
!206 = !{!"RTSyncStackAddrspace", i32 -1}
!207 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!208 = !{!"CurUniqueIndirectIdx", i32 0}
!209 = !{!"inlineDynTextures"}
!210 = !{!"inlineResInfoData"}
!211 = !{!"immConstant", !212, !213}
!212 = !{!"data"}
!213 = !{!"sizes"}
!214 = !{!"inlineConstantBuffers"}
!215 = !{!"inlineGlobalBuffers"}
!216 = !{!"GlobalPointerProgramBinaryInfos"}
!217 = !{!"ConstantPointerProgramBinaryInfos"}
!218 = !{!"GlobalBufferAddressRelocInfo"}
!219 = !{!"ConstantBufferAddressRelocInfo"}
!220 = !{!"forceLscCacheList"}
!221 = !{!"SrvMap"}
!222 = !{!"RasterizerOrderedByteAddressBuffer"}
!223 = !{!"MinNOSPushConstantSize", i32 0}
!224 = !{!"inlineProgramScopeOffsets"}
!225 = !{!"shaderData", !226}
!226 = !{!"numReplicas", i32 0}
!227 = !{!"URBInfo", !228, !229, !230}
!228 = !{!"has64BVertexHeaderInput", i1 false}
!229 = !{!"has64BVertexHeaderOutput", i1 false}
!230 = !{!"hasVertexHeader", i1 true}
!231 = !{!"UseBindlessImage", i1 false}
!232 = !{!"enableRangeReduce", i1 false}
!233 = !{!"allowMatchMadOptimizationforVS", i1 false}
!234 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!235 = !{!"statefulResourcesNotAliased", i1 false}
!236 = !{!"disableMixMode", i1 false}
!237 = !{!"PrivateMemoryPerFG"}
!238 = !{!"capabilities", !239}
!239 = !{!"globalVariableDecorationsINTEL", i1 false}
!240 = !{!"m_ShaderResourceViewMcsMask", !241, !242}
!241 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!242 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!243 = !{!"computedDepthMode", i32 0}
!244 = !{!"isHDCFastClearShader", i1 false}
!245 = !{i32 3, i32 0}
!246 = !{}
!247 = !{!"-cl-std=CL3.0"}
