target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

%spirv.Pipe._1 = type opaque
%spirv.ReserveId = type opaque
%spirv.Pipe._0 = type opaque

; Function Attrs: nounwind
define spir_kernel void @test_multiple_pipe_write(i32 addrspace(1)* %src, %spirv.Pipe._1 addrspace(1)* %pipe0, %spirv.Pipe._1 addrspace(1)* %pipe1, %spirv.Pipe._1 addrspace(1)* %pipe2, %spirv.Pipe._1 addrspace(1)* %pipe3, %spirv.Pipe._1 addrspace(1)* %pipe4, %spirv.Pipe._1 addrspace(1)* %pipe5, %spirv.Pipe._1 addrspace(1)* %pipe6, %spirv.Pipe._1 addrspace(1)* %pipe7, %spirv.Pipe._1 addrspace(1)* %pipe8, %spirv.Pipe._1 addrspace(1)* %pipe9, %spirv.Pipe._1 addrspace(1)* %pipe10, %spirv.Pipe._1 addrspace(1)* %pipe11, %spirv.Pipe._1 addrspace(1)* %pipe12, %spirv.Pipe._1 addrspace(1)* %pipe13, %spirv.Pipe._1 addrspace(1)* %pipe14, %spirv.Pipe._1 addrspace(1)* %pipe15, i32 %num_pipes) #0 {
entry:
  %0 = call spir_func <3 x i64> @BuiltInGlobalInvocationId() #1
  %call = extractelement <3 x i64> %0, i32 0
  %conv = trunc i64 %call to i32
  %conv1 = sext i32 %conv to i64
  %1 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call2 = extractelement <3 x i64> %1, i32 0
  %conv3 = sext i32 %num_pipes to i64
  %div = udiv i64 %call2, %conv3
  %cmp = icmp ult i64 %conv1, %div
  br i1 %cmp, label %if.then, label %if.else

if.then:                                          ; preds = %entry
  %2 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe0, i32 1, i32 4, i32 4) #0
  %call5 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %2) #0
  br i1 %call5, label %if.then6, label %if.end

if.then6:                                         ; preds = %if.then
  %idxprom = sext i32 %conv to i64
  %arrayidx = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom
  %3 = addrspacecast i32 addrspace(1)* %arrayidx to i8 addrspace(4)*
  %4 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe0, %spirv.ReserveId* %2, i32 0, i8 addrspace(4)* %3, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe0, %spirv.ReserveId* %2, i32 4, i32 4) #0
  br label %if.end

if.end:                                           ; preds = %if.then6, %if.then
  br label %if.end230

if.else:                                          ; preds = %entry
  %conv7 = sext i32 %conv to i64
  %5 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call8 = extractelement <3 x i64> %5, i32 0
  %mul = mul i64 2, %call8
  %conv9 = sext i32 %num_pipes to i64
  %div10 = udiv i64 %mul, %conv9
  %cmp11 = icmp ult i64 %conv7, %div10
  br i1 %cmp11, label %if.then13, label %if.else19

if.then13:                                        ; preds = %if.else
  %6 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe1, i32 1, i32 4, i32 4) #0
  %call14 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %6) #0
  br i1 %call14, label %if.then15, label %if.end18

if.then15:                                        ; preds = %if.then13
  %idxprom16 = sext i32 %conv to i64
  %arrayidx17 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom16
  %7 = addrspacecast i32 addrspace(1)* %arrayidx17 to i8 addrspace(4)*
  %8 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe1, %spirv.ReserveId* %6, i32 0, i8 addrspace(4)* %7, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe1, %spirv.ReserveId* %6, i32 4, i32 4) #0
  br label %if.end18

if.end18:                                         ; preds = %if.then15, %if.then13
  br label %if.end229

if.else19:                                        ; preds = %if.else
  %conv20 = sext i32 %conv to i64
  %9 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call21 = extractelement <3 x i64> %9, i32 0
  %mul22 = mul i64 3, %call21
  %conv23 = sext i32 %num_pipes to i64
  %div24 = udiv i64 %mul22, %conv23
  %cmp25 = icmp ult i64 %conv20, %div24
  br i1 %cmp25, label %if.then27, label %if.else33

if.then27:                                        ; preds = %if.else19
  %10 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe2, i32 1, i32 4, i32 4) #0
  %call28 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %10) #0
  br i1 %call28, label %if.then29, label %if.end32

if.then29:                                        ; preds = %if.then27
  %idxprom30 = sext i32 %conv to i64
  %arrayidx31 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom30
  %11 = addrspacecast i32 addrspace(1)* %arrayidx31 to i8 addrspace(4)*
  %12 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe2, %spirv.ReserveId* %10, i32 0, i8 addrspace(4)* %11, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe2, %spirv.ReserveId* %10, i32 4, i32 4) #0
  br label %if.end32

if.end32:                                         ; preds = %if.then29, %if.then27
  br label %if.end228

if.else33:                                        ; preds = %if.else19
  %conv34 = sext i32 %conv to i64
  %13 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call35 = extractelement <3 x i64> %13, i32 0
  %mul36 = mul i64 4, %call35
  %conv37 = sext i32 %num_pipes to i64
  %div38 = udiv i64 %mul36, %conv37
  %cmp39 = icmp ult i64 %conv34, %div38
  br i1 %cmp39, label %if.then41, label %if.else47

if.then41:                                        ; preds = %if.else33
  %14 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe3, i32 1, i32 4, i32 4) #0
  %call42 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %14) #0
  br i1 %call42, label %if.then43, label %if.end46

if.then43:                                        ; preds = %if.then41
  %idxprom44 = sext i32 %conv to i64
  %arrayidx45 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom44
  %15 = addrspacecast i32 addrspace(1)* %arrayidx45 to i8 addrspace(4)*
  %16 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe3, %spirv.ReserveId* %14, i32 0, i8 addrspace(4)* %15, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe3, %spirv.ReserveId* %14, i32 4, i32 4) #0
  br label %if.end46

if.end46:                                         ; preds = %if.then43, %if.then41
  br label %if.end227

if.else47:                                        ; preds = %if.else33
  %conv48 = sext i32 %conv to i64
  %17 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call49 = extractelement <3 x i64> %17, i32 0
  %mul50 = mul i64 5, %call49
  %conv51 = sext i32 %num_pipes to i64
  %div52 = udiv i64 %mul50, %conv51
  %cmp53 = icmp ult i64 %conv48, %div52
  br i1 %cmp53, label %if.then55, label %if.else61

if.then55:                                        ; preds = %if.else47
  %18 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe4, i32 1, i32 4, i32 4) #0
  %call56 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %18) #0
  br i1 %call56, label %if.then57, label %if.end60

if.then57:                                        ; preds = %if.then55
  %idxprom58 = sext i32 %conv to i64
  %arrayidx59 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom58
  %19 = addrspacecast i32 addrspace(1)* %arrayidx59 to i8 addrspace(4)*
  %20 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe4, %spirv.ReserveId* %18, i32 0, i8 addrspace(4)* %19, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe4, %spirv.ReserveId* %18, i32 4, i32 4) #0
  br label %if.end60

if.end60:                                         ; preds = %if.then57, %if.then55
  br label %if.end226

if.else61:                                        ; preds = %if.else47
  %conv62 = sext i32 %conv to i64
  %21 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call63 = extractelement <3 x i64> %21, i32 0
  %mul64 = mul i64 6, %call63
  %conv65 = sext i32 %num_pipes to i64
  %div66 = udiv i64 %mul64, %conv65
  %cmp67 = icmp ult i64 %conv62, %div66
  br i1 %cmp67, label %if.then69, label %if.else75

if.then69:                                        ; preds = %if.else61
  %22 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe5, i32 1, i32 4, i32 4) #0
  %call70 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %22) #0
  br i1 %call70, label %if.then71, label %if.end74

if.then71:                                        ; preds = %if.then69
  %idxprom72 = sext i32 %conv to i64
  %arrayidx73 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom72
  %23 = addrspacecast i32 addrspace(1)* %arrayidx73 to i8 addrspace(4)*
  %24 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe5, %spirv.ReserveId* %22, i32 0, i8 addrspace(4)* %23, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe5, %spirv.ReserveId* %22, i32 4, i32 4) #0
  br label %if.end74

if.end74:                                         ; preds = %if.then71, %if.then69
  br label %if.end225

if.else75:                                        ; preds = %if.else61
  %conv76 = sext i32 %conv to i64
  %25 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call77 = extractelement <3 x i64> %25, i32 0
  %mul78 = mul i64 7, %call77
  %conv79 = sext i32 %num_pipes to i64
  %div80 = udiv i64 %mul78, %conv79
  %cmp81 = icmp ult i64 %conv76, %div80
  br i1 %cmp81, label %if.then83, label %if.else89

if.then83:                                        ; preds = %if.else75
  %26 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe6, i32 1, i32 4, i32 4) #0
  %call84 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %26) #0
  br i1 %call84, label %if.then85, label %if.end88

if.then85:                                        ; preds = %if.then83
  %idxprom86 = sext i32 %conv to i64
  %arrayidx87 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom86
  %27 = addrspacecast i32 addrspace(1)* %arrayidx87 to i8 addrspace(4)*
  %28 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe6, %spirv.ReserveId* %26, i32 0, i8 addrspace(4)* %27, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe6, %spirv.ReserveId* %26, i32 4, i32 4) #0
  br label %if.end88

if.end88:                                         ; preds = %if.then85, %if.then83
  br label %if.end224

if.else89:                                        ; preds = %if.else75
  %conv90 = sext i32 %conv to i64
  %29 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call91 = extractelement <3 x i64> %29, i32 0
  %mul92 = mul i64 8, %call91
  %conv93 = sext i32 %num_pipes to i64
  %div94 = udiv i64 %mul92, %conv93
  %cmp95 = icmp ult i64 %conv90, %div94
  br i1 %cmp95, label %if.then97, label %if.else103

if.then97:                                        ; preds = %if.else89
  %30 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe7, i32 1, i32 4, i32 4) #0
  %call98 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %30) #0
  br i1 %call98, label %if.then99, label %if.end102

if.then99:                                        ; preds = %if.then97
  %idxprom100 = sext i32 %conv to i64
  %arrayidx101 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom100
  %31 = addrspacecast i32 addrspace(1)* %arrayidx101 to i8 addrspace(4)*
  %32 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe7, %spirv.ReserveId* %30, i32 0, i8 addrspace(4)* %31, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe7, %spirv.ReserveId* %30, i32 4, i32 4) #0
  br label %if.end102

if.end102:                                        ; preds = %if.then99, %if.then97
  br label %if.end223

if.else103:                                       ; preds = %if.else89
  %conv104 = sext i32 %conv to i64
  %33 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call105 = extractelement <3 x i64> %33, i32 0
  %mul106 = mul i64 9, %call105
  %conv107 = sext i32 %num_pipes to i64
  %div108 = udiv i64 %mul106, %conv107
  %cmp109 = icmp ult i64 %conv104, %div108
  br i1 %cmp109, label %if.then111, label %if.else117

if.then111:                                       ; preds = %if.else103
  %34 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe8, i32 1, i32 4, i32 4) #0
  %call112 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %34) #0
  br i1 %call112, label %if.then113, label %if.end116

if.then113:                                       ; preds = %if.then111
  %idxprom114 = sext i32 %conv to i64
  %arrayidx115 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom114
  %35 = addrspacecast i32 addrspace(1)* %arrayidx115 to i8 addrspace(4)*
  %36 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe8, %spirv.ReserveId* %34, i32 0, i8 addrspace(4)* %35, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe8, %spirv.ReserveId* %34, i32 4, i32 4) #0
  br label %if.end116

if.end116:                                        ; preds = %if.then113, %if.then111
  br label %if.end222

if.else117:                                       ; preds = %if.else103
  %conv118 = sext i32 %conv to i64
  %37 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call119 = extractelement <3 x i64> %37, i32 0
  %mul120 = mul i64 10, %call119
  %conv121 = sext i32 %num_pipes to i64
  %div122 = udiv i64 %mul120, %conv121
  %cmp123 = icmp ult i64 %conv118, %div122
  br i1 %cmp123, label %if.then125, label %if.else131

if.then125:                                       ; preds = %if.else117
  %38 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe9, i32 1, i32 4, i32 4) #0
  %call126 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %38) #0
  br i1 %call126, label %if.then127, label %if.end130

if.then127:                                       ; preds = %if.then125
  %idxprom128 = sext i32 %conv to i64
  %arrayidx129 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom128
  %39 = addrspacecast i32 addrspace(1)* %arrayidx129 to i8 addrspace(4)*
  %40 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe9, %spirv.ReserveId* %38, i32 0, i8 addrspace(4)* %39, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe9, %spirv.ReserveId* %38, i32 4, i32 4) #0
  br label %if.end130

if.end130:                                        ; preds = %if.then127, %if.then125
  br label %if.end221

if.else131:                                       ; preds = %if.else117
  %conv132 = sext i32 %conv to i64
  %41 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call133 = extractelement <3 x i64> %41, i32 0
  %mul134 = mul i64 11, %call133
  %conv135 = sext i32 %num_pipes to i64
  %div136 = udiv i64 %mul134, %conv135
  %cmp137 = icmp ult i64 %conv132, %div136
  br i1 %cmp137, label %if.then139, label %if.else145

if.then139:                                       ; preds = %if.else131
  %42 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe10, i32 1, i32 4, i32 4) #0
  %call140 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %42) #0
  br i1 %call140, label %if.then141, label %if.end144

if.then141:                                       ; preds = %if.then139
  %idxprom142 = sext i32 %conv to i64
  %arrayidx143 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom142
  %43 = addrspacecast i32 addrspace(1)* %arrayidx143 to i8 addrspace(4)*
  %44 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe10, %spirv.ReserveId* %42, i32 0, i8 addrspace(4)* %43, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe10, %spirv.ReserveId* %42, i32 4, i32 4) #0
  br label %if.end144

if.end144:                                        ; preds = %if.then141, %if.then139
  br label %if.end220

if.else145:                                       ; preds = %if.else131
  %conv146 = sext i32 %conv to i64
  %45 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call147 = extractelement <3 x i64> %45, i32 0
  %mul148 = mul i64 12, %call147
  %conv149 = sext i32 %num_pipes to i64
  %div150 = udiv i64 %mul148, %conv149
  %cmp151 = icmp ult i64 %conv146, %div150
  br i1 %cmp151, label %if.then153, label %if.else159

if.then153:                                       ; preds = %if.else145
  %46 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe11, i32 1, i32 4, i32 4) #0
  %call154 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %46) #0
  br i1 %call154, label %if.then155, label %if.end158

if.then155:                                       ; preds = %if.then153
  %idxprom156 = sext i32 %conv to i64
  %arrayidx157 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom156
  %47 = addrspacecast i32 addrspace(1)* %arrayidx157 to i8 addrspace(4)*
  %48 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe11, %spirv.ReserveId* %46, i32 0, i8 addrspace(4)* %47, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe11, %spirv.ReserveId* %46, i32 4, i32 4) #0
  br label %if.end158

if.end158:                                        ; preds = %if.then155, %if.then153
  br label %if.end219

if.else159:                                       ; preds = %if.else145
  %conv160 = sext i32 %conv to i64
  %49 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call161 = extractelement <3 x i64> %49, i32 0
  %mul162 = mul i64 13, %call161
  %conv163 = sext i32 %num_pipes to i64
  %div164 = udiv i64 %mul162, %conv163
  %cmp165 = icmp ult i64 %conv160, %div164
  br i1 %cmp165, label %if.then167, label %if.else173

if.then167:                                       ; preds = %if.else159
  %50 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe12, i32 1, i32 4, i32 4) #0
  %call168 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %50) #0
  br i1 %call168, label %if.then169, label %if.end172

if.then169:                                       ; preds = %if.then167
  %idxprom170 = sext i32 %conv to i64
  %arrayidx171 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom170
  %51 = addrspacecast i32 addrspace(1)* %arrayidx171 to i8 addrspace(4)*
  %52 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe12, %spirv.ReserveId* %50, i32 0, i8 addrspace(4)* %51, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe12, %spirv.ReserveId* %50, i32 4, i32 4) #0
  br label %if.end172

if.end172:                                        ; preds = %if.then169, %if.then167
  br label %if.end218

if.else173:                                       ; preds = %if.else159
  %conv174 = sext i32 %conv to i64
  %53 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call175 = extractelement <3 x i64> %53, i32 0
  %mul176 = mul i64 14, %call175
  %conv177 = sext i32 %num_pipes to i64
  %div178 = udiv i64 %mul176, %conv177
  %cmp179 = icmp ult i64 %conv174, %div178
  br i1 %cmp179, label %if.then181, label %if.else187

if.then181:                                       ; preds = %if.else173
  %54 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe13, i32 1, i32 4, i32 4) #0
  %call182 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %54) #0
  br i1 %call182, label %if.then183, label %if.end186

if.then183:                                       ; preds = %if.then181
  %idxprom184 = sext i32 %conv to i64
  %arrayidx185 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom184
  %55 = addrspacecast i32 addrspace(1)* %arrayidx185 to i8 addrspace(4)*
  %56 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe13, %spirv.ReserveId* %54, i32 0, i8 addrspace(4)* %55, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe13, %spirv.ReserveId* %54, i32 4, i32 4) #0
  br label %if.end186

if.end186:                                        ; preds = %if.then183, %if.then181
  br label %if.end217

if.else187:                                       ; preds = %if.else173
  %conv188 = sext i32 %conv to i64
  %57 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call189 = extractelement <3 x i64> %57, i32 0
  %mul190 = mul i64 15, %call189
  %conv191 = sext i32 %num_pipes to i64
  %div192 = udiv i64 %mul190, %conv191
  %cmp193 = icmp ult i64 %conv188, %div192
  br i1 %cmp193, label %if.then195, label %if.else201

if.then195:                                       ; preds = %if.else187
  %58 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe14, i32 1, i32 4, i32 4) #0
  %call196 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %58) #0
  br i1 %call196, label %if.then197, label %if.end200

if.then197:                                       ; preds = %if.then195
  %idxprom198 = sext i32 %conv to i64
  %arrayidx199 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom198
  %59 = addrspacecast i32 addrspace(1)* %arrayidx199 to i8 addrspace(4)*
  %60 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe14, %spirv.ReserveId* %58, i32 0, i8 addrspace(4)* %59, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe14, %spirv.ReserveId* %58, i32 4, i32 4) #0
  br label %if.end200

if.end200:                                        ; preds = %if.then197, %if.then195
  br label %if.end216

if.else201:                                       ; preds = %if.else187
  %conv202 = sext i32 %conv to i64
  %61 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call203 = extractelement <3 x i64> %61, i32 0
  %mul204 = mul i64 16, %call203
  %conv205 = sext i32 %num_pipes to i64
  %div206 = udiv i64 %mul204, %conv205
  %cmp207 = icmp ult i64 %conv202, %div206
  br i1 %cmp207, label %if.then209, label %if.end215

if.then209:                                       ; preds = %if.else201
  %62 = call spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe15, i32 1, i32 4, i32 4) #0
  %call210 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %62) #0
  br i1 %call210, label %if.then211, label %if.end214

if.then211:                                       ; preds = %if.then209
  %idxprom212 = sext i32 %conv to i64
  %arrayidx213 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom212
  %63 = addrspacecast i32 addrspace(1)* %arrayidx213 to i8 addrspace(4)*
  %64 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe15, %spirv.ReserveId* %62, i32 0, i8 addrspace(4)* %63, i32 4, i32 4) #0
  call spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %pipe15, %spirv.ReserveId* %62, i32 4, i32 4) #0
  br label %if.end214

if.end214:                                        ; preds = %if.then211, %if.then209
  br label %if.end215

if.end215:                                        ; preds = %if.end214, %if.else201
  br label %if.end216

if.end216:                                        ; preds = %if.end215, %if.end200
  br label %if.end217

if.end217:                                        ; preds = %if.end216, %if.end186
  br label %if.end218

if.end218:                                        ; preds = %if.end217, %if.end172
  br label %if.end219

if.end219:                                        ; preds = %if.end218, %if.end158
  br label %if.end220

if.end220:                                        ; preds = %if.end219, %if.end144
  br label %if.end221

if.end221:                                        ; preds = %if.end220, %if.end130
  br label %if.end222

if.end222:                                        ; preds = %if.end221, %if.end116
  br label %if.end223

if.end223:                                        ; preds = %if.end222, %if.end102
  br label %if.end224

if.end224:                                        ; preds = %if.end223, %if.end88
  br label %if.end225

if.end225:                                        ; preds = %if.end224, %if.end74
  br label %if.end226

if.end226:                                        ; preds = %if.end225, %if.end60
  br label %if.end227

if.end227:                                        ; preds = %if.end226, %if.end46
  br label %if.end228

if.end228:                                        ; preds = %if.end227, %if.end32
  br label %if.end229

if.end229:                                        ; preds = %if.end228, %if.end18
  br label %if.end230

if.end230:                                        ; preds = %if.end229, %if.end
  ret void
}

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)*, i32, i32, i32) #0

; Function Attrs: nounwind
declare spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId*) #0

; Function Attrs: nounwind
declare spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #0

; Function Attrs: nounwind
declare spir_func void @OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i32) #0

; Function Attrs: nounwind
define spir_kernel void @test_multiple_pipe_read(i32 addrspace(1)* %dst, %spirv.Pipe._0 addrspace(1)* %pipe0, %spirv.Pipe._0 addrspace(1)* %pipe1, %spirv.Pipe._0 addrspace(1)* %pipe2, %spirv.Pipe._0 addrspace(1)* %pipe3, %spirv.Pipe._0 addrspace(1)* %pipe4, %spirv.Pipe._0 addrspace(1)* %pipe5, %spirv.Pipe._0 addrspace(1)* %pipe6, %spirv.Pipe._0 addrspace(1)* %pipe7, %spirv.Pipe._0 addrspace(1)* %pipe8, %spirv.Pipe._0 addrspace(1)* %pipe9, %spirv.Pipe._0 addrspace(1)* %pipe10, %spirv.Pipe._0 addrspace(1)* %pipe11, %spirv.Pipe._0 addrspace(1)* %pipe12, %spirv.Pipe._0 addrspace(1)* %pipe13, %spirv.Pipe._0 addrspace(1)* %pipe14, %spirv.Pipe._0 addrspace(1)* %pipe15, i32 %num_pipes) #0 {
entry:
  %0 = call spir_func <3 x i64> @BuiltInGlobalInvocationId() #1
  %call = extractelement <3 x i64> %0, i32 0
  %conv = trunc i64 %call to i32
  %conv1 = sext i32 %conv to i64
  %1 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call2 = extractelement <3 x i64> %1, i32 0
  %conv3 = sext i32 %num_pipes to i64
  %div = udiv i64 %call2, %conv3
  %cmp = icmp ult i64 %conv1, %div
  br i1 %cmp, label %if.then, label %if.else

if.then:                                          ; preds = %entry
  %2 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe0, i32 1, i32 4, i32 4) #0
  %call5 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %2) #0
  br i1 %call5, label %if.then6, label %if.end

if.then6:                                         ; preds = %if.then
  %idxprom = sext i32 %conv to i64
  %arrayidx = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom
  %3 = addrspacecast i32 addrspace(1)* %arrayidx to i8 addrspace(4)*
  %4 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe0, %spirv.ReserveId* %2, i32 0, i8 addrspace(4)* %3, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe0, %spirv.ReserveId* %2, i32 4, i32 4) #0
  br label %if.end

if.end:                                           ; preds = %if.then6, %if.then
  br label %if.end230

if.else:                                          ; preds = %entry
  %conv7 = sext i32 %conv to i64
  %5 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call8 = extractelement <3 x i64> %5, i32 0
  %mul = mul i64 2, %call8
  %conv9 = sext i32 %num_pipes to i64
  %div10 = udiv i64 %mul, %conv9
  %cmp11 = icmp ult i64 %conv7, %div10
  br i1 %cmp11, label %if.then13, label %if.else19

if.then13:                                        ; preds = %if.else
  %6 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe1, i32 1, i32 4, i32 4) #0
  %call14 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %6) #0
  br i1 %call14, label %if.then15, label %if.end18

if.then15:                                        ; preds = %if.then13
  %idxprom16 = sext i32 %conv to i64
  %arrayidx17 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom16
  %7 = addrspacecast i32 addrspace(1)* %arrayidx17 to i8 addrspace(4)*
  %8 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe1, %spirv.ReserveId* %6, i32 0, i8 addrspace(4)* %7, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe1, %spirv.ReserveId* %6, i32 4, i32 4) #0
  br label %if.end18

if.end18:                                         ; preds = %if.then15, %if.then13
  br label %if.end229

if.else19:                                        ; preds = %if.else
  %conv20 = sext i32 %conv to i64
  %9 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call21 = extractelement <3 x i64> %9, i32 0
  %mul22 = mul i64 3, %call21
  %conv23 = sext i32 %num_pipes to i64
  %div24 = udiv i64 %mul22, %conv23
  %cmp25 = icmp ult i64 %conv20, %div24
  br i1 %cmp25, label %if.then27, label %if.else33

if.then27:                                        ; preds = %if.else19
  %10 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe2, i32 1, i32 4, i32 4) #0
  %call28 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %10) #0
  br i1 %call28, label %if.then29, label %if.end32

if.then29:                                        ; preds = %if.then27
  %idxprom30 = sext i32 %conv to i64
  %arrayidx31 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom30
  %11 = addrspacecast i32 addrspace(1)* %arrayidx31 to i8 addrspace(4)*
  %12 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe2, %spirv.ReserveId* %10, i32 0, i8 addrspace(4)* %11, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe2, %spirv.ReserveId* %10, i32 4, i32 4) #0
  br label %if.end32

if.end32:                                         ; preds = %if.then29, %if.then27
  br label %if.end228

if.else33:                                        ; preds = %if.else19
  %conv34 = sext i32 %conv to i64
  %13 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call35 = extractelement <3 x i64> %13, i32 0
  %mul36 = mul i64 4, %call35
  %conv37 = sext i32 %num_pipes to i64
  %div38 = udiv i64 %mul36, %conv37
  %cmp39 = icmp ult i64 %conv34, %div38
  br i1 %cmp39, label %if.then41, label %if.else47

if.then41:                                        ; preds = %if.else33
  %14 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe3, i32 1, i32 4, i32 4) #0
  %call42 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %14) #0
  br i1 %call42, label %if.then43, label %if.end46

if.then43:                                        ; preds = %if.then41
  %idxprom44 = sext i32 %conv to i64
  %arrayidx45 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom44
  %15 = addrspacecast i32 addrspace(1)* %arrayidx45 to i8 addrspace(4)*
  %16 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe3, %spirv.ReserveId* %14, i32 0, i8 addrspace(4)* %15, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe3, %spirv.ReserveId* %14, i32 4, i32 4) #0
  br label %if.end46

if.end46:                                         ; preds = %if.then43, %if.then41
  br label %if.end227

if.else47:                                        ; preds = %if.else33
  %conv48 = sext i32 %conv to i64
  %17 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call49 = extractelement <3 x i64> %17, i32 0
  %mul50 = mul i64 5, %call49
  %conv51 = sext i32 %num_pipes to i64
  %div52 = udiv i64 %mul50, %conv51
  %cmp53 = icmp ult i64 %conv48, %div52
  br i1 %cmp53, label %if.then55, label %if.else61

if.then55:                                        ; preds = %if.else47
  %18 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe4, i32 1, i32 4, i32 4) #0
  %call56 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %18) #0
  br i1 %call56, label %if.then57, label %if.end60

if.then57:                                        ; preds = %if.then55
  %idxprom58 = sext i32 %conv to i64
  %arrayidx59 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom58
  %19 = addrspacecast i32 addrspace(1)* %arrayidx59 to i8 addrspace(4)*
  %20 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe4, %spirv.ReserveId* %18, i32 0, i8 addrspace(4)* %19, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe4, %spirv.ReserveId* %18, i32 4, i32 4) #0
  br label %if.end60

if.end60:                                         ; preds = %if.then57, %if.then55
  br label %if.end226

if.else61:                                        ; preds = %if.else47
  %conv62 = sext i32 %conv to i64
  %21 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call63 = extractelement <3 x i64> %21, i32 0
  %mul64 = mul i64 6, %call63
  %conv65 = sext i32 %num_pipes to i64
  %div66 = udiv i64 %mul64, %conv65
  %cmp67 = icmp ult i64 %conv62, %div66
  br i1 %cmp67, label %if.then69, label %if.else75

if.then69:                                        ; preds = %if.else61
  %22 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe5, i32 1, i32 4, i32 4) #0
  %call70 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %22) #0
  br i1 %call70, label %if.then71, label %if.end74

if.then71:                                        ; preds = %if.then69
  %idxprom72 = sext i32 %conv to i64
  %arrayidx73 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom72
  %23 = addrspacecast i32 addrspace(1)* %arrayidx73 to i8 addrspace(4)*
  %24 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe5, %spirv.ReserveId* %22, i32 0, i8 addrspace(4)* %23, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe5, %spirv.ReserveId* %22, i32 4, i32 4) #0
  br label %if.end74

if.end74:                                         ; preds = %if.then71, %if.then69
  br label %if.end225

if.else75:                                        ; preds = %if.else61
  %conv76 = sext i32 %conv to i64
  %25 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call77 = extractelement <3 x i64> %25, i32 0
  %mul78 = mul i64 7, %call77
  %conv79 = sext i32 %num_pipes to i64
  %div80 = udiv i64 %mul78, %conv79
  %cmp81 = icmp ult i64 %conv76, %div80
  br i1 %cmp81, label %if.then83, label %if.else89

if.then83:                                        ; preds = %if.else75
  %26 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe6, i32 1, i32 4, i32 4) #0
  %call84 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %26) #0
  br i1 %call84, label %if.then85, label %if.end88

if.then85:                                        ; preds = %if.then83
  %idxprom86 = sext i32 %conv to i64
  %arrayidx87 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom86
  %27 = addrspacecast i32 addrspace(1)* %arrayidx87 to i8 addrspace(4)*
  %28 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe6, %spirv.ReserveId* %26, i32 0, i8 addrspace(4)* %27, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe6, %spirv.ReserveId* %26, i32 4, i32 4) #0
  br label %if.end88

if.end88:                                         ; preds = %if.then85, %if.then83
  br label %if.end224

if.else89:                                        ; preds = %if.else75
  %conv90 = sext i32 %conv to i64
  %29 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call91 = extractelement <3 x i64> %29, i32 0
  %mul92 = mul i64 8, %call91
  %conv93 = sext i32 %num_pipes to i64
  %div94 = udiv i64 %mul92, %conv93
  %cmp95 = icmp ult i64 %conv90, %div94
  br i1 %cmp95, label %if.then97, label %if.else103

if.then97:                                        ; preds = %if.else89
  %30 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe7, i32 1, i32 4, i32 4) #0
  %call98 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %30) #0
  br i1 %call98, label %if.then99, label %if.end102

if.then99:                                        ; preds = %if.then97
  %idxprom100 = sext i32 %conv to i64
  %arrayidx101 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom100
  %31 = addrspacecast i32 addrspace(1)* %arrayidx101 to i8 addrspace(4)*
  %32 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe7, %spirv.ReserveId* %30, i32 0, i8 addrspace(4)* %31, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe7, %spirv.ReserveId* %30, i32 4, i32 4) #0
  br label %if.end102

if.end102:                                        ; preds = %if.then99, %if.then97
  br label %if.end223

if.else103:                                       ; preds = %if.else89
  %conv104 = sext i32 %conv to i64
  %33 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call105 = extractelement <3 x i64> %33, i32 0
  %mul106 = mul i64 9, %call105
  %conv107 = sext i32 %num_pipes to i64
  %div108 = udiv i64 %mul106, %conv107
  %cmp109 = icmp ult i64 %conv104, %div108
  br i1 %cmp109, label %if.then111, label %if.else117

if.then111:                                       ; preds = %if.else103
  %34 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe8, i32 1, i32 4, i32 4) #0
  %call112 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %34) #0
  br i1 %call112, label %if.then113, label %if.end116

if.then113:                                       ; preds = %if.then111
  %idxprom114 = sext i32 %conv to i64
  %arrayidx115 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom114
  %35 = addrspacecast i32 addrspace(1)* %arrayidx115 to i8 addrspace(4)*
  %36 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe8, %spirv.ReserveId* %34, i32 0, i8 addrspace(4)* %35, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe8, %spirv.ReserveId* %34, i32 4, i32 4) #0
  br label %if.end116

if.end116:                                        ; preds = %if.then113, %if.then111
  br label %if.end222

if.else117:                                       ; preds = %if.else103
  %conv118 = sext i32 %conv to i64
  %37 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call119 = extractelement <3 x i64> %37, i32 0
  %mul120 = mul i64 10, %call119
  %conv121 = sext i32 %num_pipes to i64
  %div122 = udiv i64 %mul120, %conv121
  %cmp123 = icmp ult i64 %conv118, %div122
  br i1 %cmp123, label %if.then125, label %if.else131

if.then125:                                       ; preds = %if.else117
  %38 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe9, i32 1, i32 4, i32 4) #0
  %call126 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %38) #0
  br i1 %call126, label %if.then127, label %if.end130

if.then127:                                       ; preds = %if.then125
  %idxprom128 = sext i32 %conv to i64
  %arrayidx129 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom128
  %39 = addrspacecast i32 addrspace(1)* %arrayidx129 to i8 addrspace(4)*
  %40 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe9, %spirv.ReserveId* %38, i32 0, i8 addrspace(4)* %39, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe9, %spirv.ReserveId* %38, i32 4, i32 4) #0
  br label %if.end130

if.end130:                                        ; preds = %if.then127, %if.then125
  br label %if.end221

if.else131:                                       ; preds = %if.else117
  %conv132 = sext i32 %conv to i64
  %41 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call133 = extractelement <3 x i64> %41, i32 0
  %mul134 = mul i64 11, %call133
  %conv135 = sext i32 %num_pipes to i64
  %div136 = udiv i64 %mul134, %conv135
  %cmp137 = icmp ult i64 %conv132, %div136
  br i1 %cmp137, label %if.then139, label %if.else145

if.then139:                                       ; preds = %if.else131
  %42 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe10, i32 1, i32 4, i32 4) #0
  %call140 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %42) #0
  br i1 %call140, label %if.then141, label %if.end144

if.then141:                                       ; preds = %if.then139
  %idxprom142 = sext i32 %conv to i64
  %arrayidx143 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom142
  %43 = addrspacecast i32 addrspace(1)* %arrayidx143 to i8 addrspace(4)*
  %44 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe10, %spirv.ReserveId* %42, i32 0, i8 addrspace(4)* %43, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe10, %spirv.ReserveId* %42, i32 4, i32 4) #0
  br label %if.end144

if.end144:                                        ; preds = %if.then141, %if.then139
  br label %if.end220

if.else145:                                       ; preds = %if.else131
  %conv146 = sext i32 %conv to i64
  %45 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call147 = extractelement <3 x i64> %45, i32 0
  %mul148 = mul i64 12, %call147
  %conv149 = sext i32 %num_pipes to i64
  %div150 = udiv i64 %mul148, %conv149
  %cmp151 = icmp ult i64 %conv146, %div150
  br i1 %cmp151, label %if.then153, label %if.else159

if.then153:                                       ; preds = %if.else145
  %46 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe11, i32 1, i32 4, i32 4) #0
  %call154 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %46) #0
  br i1 %call154, label %if.then155, label %if.end158

if.then155:                                       ; preds = %if.then153
  %idxprom156 = sext i32 %conv to i64
  %arrayidx157 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom156
  %47 = addrspacecast i32 addrspace(1)* %arrayidx157 to i8 addrspace(4)*
  %48 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe11, %spirv.ReserveId* %46, i32 0, i8 addrspace(4)* %47, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe11, %spirv.ReserveId* %46, i32 4, i32 4) #0
  br label %if.end158

if.end158:                                        ; preds = %if.then155, %if.then153
  br label %if.end219

if.else159:                                       ; preds = %if.else145
  %conv160 = sext i32 %conv to i64
  %49 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call161 = extractelement <3 x i64> %49, i32 0
  %mul162 = mul i64 13, %call161
  %conv163 = sext i32 %num_pipes to i64
  %div164 = udiv i64 %mul162, %conv163
  %cmp165 = icmp ult i64 %conv160, %div164
  br i1 %cmp165, label %if.then167, label %if.else173

if.then167:                                       ; preds = %if.else159
  %50 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe12, i32 1, i32 4, i32 4) #0
  %call168 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %50) #0
  br i1 %call168, label %if.then169, label %if.end172

if.then169:                                       ; preds = %if.then167
  %idxprom170 = sext i32 %conv to i64
  %arrayidx171 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom170
  %51 = addrspacecast i32 addrspace(1)* %arrayidx171 to i8 addrspace(4)*
  %52 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe12, %spirv.ReserveId* %50, i32 0, i8 addrspace(4)* %51, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe12, %spirv.ReserveId* %50, i32 4, i32 4) #0
  br label %if.end172

if.end172:                                        ; preds = %if.then169, %if.then167
  br label %if.end218

if.else173:                                       ; preds = %if.else159
  %conv174 = sext i32 %conv to i64
  %53 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call175 = extractelement <3 x i64> %53, i32 0
  %mul176 = mul i64 14, %call175
  %conv177 = sext i32 %num_pipes to i64
  %div178 = udiv i64 %mul176, %conv177
  %cmp179 = icmp ult i64 %conv174, %div178
  br i1 %cmp179, label %if.then181, label %if.else187

if.then181:                                       ; preds = %if.else173
  %54 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe13, i32 1, i32 4, i32 4) #0
  %call182 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %54) #0
  br i1 %call182, label %if.then183, label %if.end186

if.then183:                                       ; preds = %if.then181
  %idxprom184 = sext i32 %conv to i64
  %arrayidx185 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom184
  %55 = addrspacecast i32 addrspace(1)* %arrayidx185 to i8 addrspace(4)*
  %56 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe13, %spirv.ReserveId* %54, i32 0, i8 addrspace(4)* %55, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe13, %spirv.ReserveId* %54, i32 4, i32 4) #0
  br label %if.end186

if.end186:                                        ; preds = %if.then183, %if.then181
  br label %if.end217

if.else187:                                       ; preds = %if.else173
  %conv188 = sext i32 %conv to i64
  %57 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call189 = extractelement <3 x i64> %57, i32 0
  %mul190 = mul i64 15, %call189
  %conv191 = sext i32 %num_pipes to i64
  %div192 = udiv i64 %mul190, %conv191
  %cmp193 = icmp ult i64 %conv188, %div192
  br i1 %cmp193, label %if.then195, label %if.else201

if.then195:                                       ; preds = %if.else187
  %58 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe14, i32 1, i32 4, i32 4) #0
  %call196 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %58) #0
  br i1 %call196, label %if.then197, label %if.end200

if.then197:                                       ; preds = %if.then195
  %idxprom198 = sext i32 %conv to i64
  %arrayidx199 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom198
  %59 = addrspacecast i32 addrspace(1)* %arrayidx199 to i8 addrspace(4)*
  %60 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe14, %spirv.ReserveId* %58, i32 0, i8 addrspace(4)* %59, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe14, %spirv.ReserveId* %58, i32 4, i32 4) #0
  br label %if.end200

if.end200:                                        ; preds = %if.then197, %if.then195
  br label %if.end216

if.else201:                                       ; preds = %if.else187
  %conv202 = sext i32 %conv to i64
  %61 = call spir_func <3 x i64> @BuiltInGlobalSize() #1
  %call203 = extractelement <3 x i64> %61, i32 0
  %mul204 = mul i64 16, %call203
  %conv205 = sext i32 %num_pipes to i64
  %div206 = udiv i64 %mul204, %conv205
  %cmp207 = icmp ult i64 %conv202, %div206
  br i1 %cmp207, label %if.then209, label %if.end215

if.then209:                                       ; preds = %if.else201
  %62 = call spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe15, i32 1, i32 4, i32 4) #0
  %call210 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %62) #0
  br i1 %call210, label %if.then211, label %if.end214

if.then211:                                       ; preds = %if.then209
  %idxprom212 = sext i32 %conv to i64
  %arrayidx213 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom212
  %63 = addrspacecast i32 addrspace(1)* %arrayidx213 to i8 addrspace(4)*
  %64 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe15, %spirv.ReserveId* %62, i32 0, i8 addrspace(4)* %63, i32 4, i32 4) #0
  call spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %pipe15, %spirv.ReserveId* %62, i32 4, i32 4) #0
  br label %if.end214

if.end214:                                        ; preds = %if.then211, %if.then209
  br label %if.end215

if.end215:                                        ; preds = %if.end214, %if.else201
  br label %if.end216

if.end216:                                        ; preds = %if.end215, %if.end200
  br label %if.end217

if.end217:                                        ; preds = %if.end216, %if.end186
  br label %if.end218

if.end218:                                        ; preds = %if.end217, %if.end172
  br label %if.end219

if.end219:                                        ; preds = %if.end218, %if.end158
  br label %if.end220

if.end220:                                        ; preds = %if.end219, %if.end144
  br label %if.end221

if.end221:                                        ; preds = %if.end220, %if.end130
  br label %if.end222

if.end222:                                        ; preds = %if.end221, %if.end116
  br label %if.end223

if.end223:                                        ; preds = %if.end222, %if.end102
  br label %if.end224

if.end224:                                        ; preds = %if.end223, %if.end88
  br label %if.end225

if.end225:                                        ; preds = %if.end224, %if.end74
  br label %if.end226

if.end226:                                        ; preds = %if.end225, %if.end60
  br label %if.end227

if.end227:                                        ; preds = %if.end226, %if.end46
  br label %if.end228

if.end228:                                        ; preds = %if.end227, %if.end32
  br label %if.end229

if.end229:                                        ; preds = %if.end228, %if.end18
  br label %if.end230

if.end230:                                        ; preds = %if.end229, %if.end
  ret void
}

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)*, i32, i32, i32) #0

; Function Attrs: nounwind
declare spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #0

; Function Attrs: nounwind
declare spir_func void @OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i32) #0

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInGlobalInvocationId() #1

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInGlobalSize() #1

attributes #0 = { nounwind }
attributes #1 = { nounwind readnone }

!opencl.kernels = !{!0, !7}
!IGCMetadata = !{!10}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!245}
!opencl.ocl.version = !{!245}
!opencl.used.extensions = !{!246}
!opencl.used.optional.core.features = !{!246}
!opencl.compiler.options = !{!247}

!0 = !{void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i32)* @test_multiple_pipe_write, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 1, i32 0}
!2 = !{!"kernel_arg_access_qual", !"none", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"write_only", !"none"}
!3 = !{!"kernel_arg_type", !"int*", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int", !"int"}
!4 = !{!"kernel_arg_type_qual", !"", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !""}
!5 = !{!"kernel_arg_base_type", !"int*", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"pipe", !"int"}
!6 = !{!"kernel_arg_name", !"src", !"pipe0", !"pipe1", !"pipe2", !"pipe3", !"pipe4", !"pipe5", !"pipe6", !"pipe7", !"pipe8", !"pipe9", !"pipe10", !"pipe11", !"pipe12", !"pipe13", !"pipe14", !"pipe15", !"num_pipes"}
!7 = !{void (i32 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, i32)* @test_multiple_pipe_read, !1, !8, !3, !4, !5, !9}
!8 = !{!"kernel_arg_access_qual", !"none", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"read_only", !"none"}
!9 = !{!"kernel_arg_name", !"dst", !"pipe0", !"pipe1", !"pipe2", !"pipe3", !"pipe4", !"pipe5", !"pipe6", !"pipe7", !"pipe8", !"pipe9", !"pipe10", !"pipe11", !"pipe12", !"pipe13", !"pipe14", !"pipe15", !"num_pipes"}
!10 = !{!"ModuleMD", !11, !12, !67, !126, !156, !172, !184, !194, !196, !197, !208, !209, !210, !211, !214, !215, !216, !217, !218, !219, !220, !221, !222, !223, !224, !225, !227, !231, !232, !233, !234, !235, !236, !111, !237, !238, !240, !243, !244}
!11 = !{!"isPrecise", i1 false}
!12 = !{!"compOpt", !13, !14, !15, !16, !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63, !64, !65, !66}
!13 = !{!"DenormsAreZero", i1 false}
!14 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!15 = !{!"OptDisable", i1 false}
!16 = !{!"MadEnable", i1 false}
!17 = !{!"NoSignedZeros", i1 false}
!18 = !{!"NoNaNs", i1 false}
!19 = !{!"FloatRoundingMode", i32 0}
!20 = !{!"FloatCvtIntRoundingMode", i32 3}
!21 = !{!"VISAPreSchedRPThreshold", i32 0}
!22 = !{!"SetLoopUnrollThreshold", i32 0}
!23 = !{!"UnsafeMathOptimizations", i1 false}
!24 = !{!"FiniteMathOnly", i1 false}
!25 = !{!"FastRelaxedMath", i1 false}
!26 = !{!"DashGSpecified", i1 false}
!27 = !{!"FastCompilation", i1 false}
!28 = !{!"UseScratchSpacePrivateMemory", i1 true}
!29 = !{!"RelaxedBuiltins", i1 false}
!30 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!31 = !{!"GreaterThan2GBBufferRequired", i1 true}
!32 = !{!"GreaterThan4GBBufferRequired", i1 true}
!33 = !{!"DisableA64WA", i1 false}
!34 = !{!"ForceEnableA64WA", i1 false}
!35 = !{!"PushConstantsEnable", i1 true}
!36 = !{!"HasPositivePointerOffset", i1 false}
!37 = !{!"HasBufferOffsetArg", i1 false}
!38 = !{!"BufferOffsetArgOptional", i1 true}
!39 = !{!"HasSubDWAlignedPtrArg", i1 false}
!40 = !{!"replaceGlobalOffsetsByZero", i1 false}
!41 = !{!"forcePixelShaderSIMDMode", i32 0}
!42 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!43 = !{!"UniformWGS", i1 false}
!44 = !{!"disableVertexComponentPacking", i1 false}
!45 = !{!"disablePartialVertexComponentPacking", i1 false}
!46 = !{!"PreferBindlessImages", i1 false}
!47 = !{!"UseBindlessMode", i1 false}
!48 = !{!"UseLegacyBindlessMode", i1 true}
!49 = !{!"disableMathRefactoring", i1 false}
!50 = !{!"atomicBranch", i1 false}
!51 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!52 = !{!"EnableFastestLinearScan", i1 false}
!53 = !{!"UseStatelessforPrivateMemory", i1 false}
!54 = !{!"EnableTakeGlobalAddress", i1 false}
!55 = !{!"IsLibraryCompilation", i1 false}
!56 = !{!"FastVISACompile", i1 false}
!57 = !{!"MatchSinCosPi", i1 false}
!58 = !{!"CaptureCompilerStats", i1 false}
!59 = !{!"EnableZEBinary", i1 false}
!60 = !{!"ExcludeIRFromZEBinary", i1 false}
!61 = !{!"allowDisableRematforCS", i1 false}
!62 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!63 = !{!"DisableCPSOmaskWA", i1 false}
!64 = !{!"DisableFastestGopt", i1 false}
!65 = !{!"WaForceHalfPromotion", i1 false}
!66 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!67 = !{!"FuncMD", !68, !69, !124, !125}
!68 = !{!"FuncMDMap[0]", void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i32)* @test_multiple_pipe_write}
!69 = !{!"FuncMDValue[0]", !70, !71, !75, !76, !77, !97, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123}
!70 = !{!"localOffsets"}
!71 = !{!"workGroupWalkOrder", !72, !73, !74}
!72 = !{!"dim0", i32 0}
!73 = !{!"dim1", i32 0}
!74 = !{!"dim2", i32 0}
!75 = !{!"funcArgs"}
!76 = !{!"functionType", !"KernelFunction"}
!77 = !{!"rtInfo", !78, !79, !80, !81, !82, !83, !84, !85, !86, !87, !88, !89, !90, !91, !92, !96}
!78 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!79 = !{!"isContinuation", i1 false}
!80 = !{!"hasTraceRayPayload", i1 false}
!81 = !{!"hasHitAttributes", i1 false}
!82 = !{!"hasCallableData", i1 false}
!83 = !{!"ShaderStackSize", i32 0}
!84 = !{!"ShaderHash", i64 0}
!85 = !{!"ShaderName", !""}
!86 = !{!"ParentName", !""}
!87 = !{!"SlotNum", i1* null}
!88 = !{!"NOSSize", i32 0}
!89 = !{!"Entries"}
!90 = !{!"SpillUnions"}
!91 = !{!"CustomHitAttrSizeInBytes", i32 0}
!92 = !{!"Types", !93, !94, !95}
!93 = !{!"FrameStartTys"}
!94 = !{!"ArgumentTys"}
!95 = !{!"FullFrameTys"}
!96 = !{!"Aliases"}
!97 = !{!"resAllocMD", !98, !99, !100, !101, !102}
!98 = !{!"uavsNumType", i32 0}
!99 = !{!"srvsNumType", i32 0}
!100 = !{!"samplersNumType", i32 0}
!101 = !{!"argAllocMDList"}
!102 = !{!"inlineSamplersMD"}
!103 = !{!"maxByteOffsets"}
!104 = !{!"IsInitializer", i1 false}
!105 = !{!"IsFinalizer", i1 false}
!106 = !{!"CompiledSubGroupsNumber", i32 0}
!107 = !{!"hasInlineVmeSamplers", i1 false}
!108 = !{!"localSize", i32 0}
!109 = !{!"localIDPresent", i1 false}
!110 = !{!"groupIDPresent", i1 false}
!111 = !{!"privateMemoryPerWI", i32 0}
!112 = !{!"globalIDPresent", i1 false}
!113 = !{!"hasSyncRTCalls", i1 false}
!114 = !{!"hasNonKernelArgLoad", i1 false}
!115 = !{!"hasNonKernelArgStore", i1 false}
!116 = !{!"hasNonKernelArgAtomic", i1 false}
!117 = !{!"UserAnnotations"}
!118 = !{!"m_OpenCLArgAddressSpaces"}
!119 = !{!"m_OpenCLArgAccessQualifiers"}
!120 = !{!"m_OpenCLArgTypes"}
!121 = !{!"m_OpenCLArgBaseTypes"}
!122 = !{!"m_OpenCLArgTypeQualifiers"}
!123 = !{!"m_OpenCLArgNames"}
!124 = !{!"FuncMDMap[1]", void (i32 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, %spirv.Pipe._0 addrspace(1)*, i32)* @test_multiple_pipe_read}
!125 = !{!"FuncMDValue[1]", !70, !71, !75, !76, !77, !97, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123}
!126 = !{!"pushInfo", !127, !128, !129, !132, !133, !134, !135, !136, !137, !138, !139, !152, !153, !154, !155}
!127 = !{!"pushableAddresses"}
!128 = !{!"bindlessPushInfo"}
!129 = !{!"dynamicBufferInfo", !130, !131}
!130 = !{!"firstIndex", i32 0}
!131 = !{!"numOffsets", i32 0}
!132 = !{!"MaxNumberOfPushedBuffers", i32 0}
!133 = !{!"inlineConstantBufferSlot", i32 -1}
!134 = !{!"inlineConstantBufferOffset", i32 -1}
!135 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!136 = !{!"constants"}
!137 = !{!"inputs"}
!138 = !{!"constantReg"}
!139 = !{!"simplePushInfoArr", !140, !149, !150, !151}
!140 = !{!"simplePushInfoArrVec[0]", !141, !142, !143, !144, !145, !146, !147, !148}
!141 = !{!"cbIdx", i32 0}
!142 = !{!"pushableAddressGrfOffset", i32 -1}
!143 = !{!"pushableOffsetGrfOffset", i32 -1}
!144 = !{!"offset", i32 0}
!145 = !{!"size", i32 0}
!146 = !{!"isStateless", i1 false}
!147 = !{!"isBindless", i1 false}
!148 = !{!"simplePushLoads"}
!149 = !{!"simplePushInfoArrVec[1]", !141, !142, !143, !144, !145, !146, !147, !148}
!150 = !{!"simplePushInfoArrVec[2]", !141, !142, !143, !144, !145, !146, !147, !148}
!151 = !{!"simplePushInfoArrVec[3]", !141, !142, !143, !144, !145, !146, !147, !148}
!152 = !{!"simplePushBufferUsed", i32 0}
!153 = !{!"pushAnalysisWIInfos"}
!154 = !{!"inlineRTGlobalPtrOffset", i32 0}
!155 = !{!"rtSyncSurfPtrOffset", i32 0}
!156 = !{!"psInfo", !157, !158, !159, !160, !161, !162, !163, !164, !165, !166, !167, !168, !169, !170, !171}
!157 = !{!"BlendStateDisabledMask", i8 0}
!158 = !{!"SkipSrc0Alpha", i1 false}
!159 = !{!"DualSourceBlendingDisabled", i1 false}
!160 = !{!"ForceEnableSimd32", i1 false}
!161 = !{!"outputDepth", i1 false}
!162 = !{!"outputStencil", i1 false}
!163 = !{!"outputMask", i1 false}
!164 = !{!"blendToFillEnabled", i1 false}
!165 = !{!"forceEarlyZ", i1 false}
!166 = !{!"hasVersionedLoop", i1 false}
!167 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!168 = !{!"NumSamples", i8 0}
!169 = !{!"blendOptimizationMode"}
!170 = !{!"colorOutputMask"}
!171 = !{!"WaDisableVRS", i1 false}
!172 = !{!"csInfo", !173, !174, !175, !176, !177, !21, !22, !178, !179, !180, !181, !182, !50, !183}
!173 = !{!"maxWorkGroupSize", i32 0}
!174 = !{!"waveSize", i32 0}
!175 = !{!"ComputeShaderSecondCompile"}
!176 = !{!"forcedSIMDSize", i8 0}
!177 = !{!"forceTotalGRFNum", i32 0}
!178 = !{!"forcedVISAPreRAScheduler", i1 false}
!179 = !{!"disableLocalIdOrderOptimizations", i1 false}
!180 = !{!"disableDispatchAlongY", i1 false}
!181 = !{!"neededThreadIdLayout", i1* null}
!182 = !{!"forceTileYWalk", i1 false}
!183 = !{!"ResForHfPacking"}
!184 = !{!"msInfo", !185, !186, !187, !188, !189, !190, !191, !192, !193}
!185 = !{!"PrimitiveTopology", i32 3}
!186 = !{!"MaxNumOfPrimitives", i32 0}
!187 = !{!"MaxNumOfVertices", i32 0}
!188 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!189 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!190 = !{!"WorkGroupSize", i32 0}
!191 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!192 = !{!"IndexFormat", i32 6}
!193 = !{!"SubgroupSize", i32 0}
!194 = !{!"taskInfo", !195, !190, !191, !193}
!195 = !{!"MaxNumOfOutputs", i32 0}
!196 = !{!"NBarrierCnt", i32 0}
!197 = !{!"rtInfo", !198, !199, !200, !201, !202, !203, !204, !205, !206, !207}
!198 = !{!"RayQueryAllocSizeInBytes", i32 0}
!199 = !{!"NumContinuations", i32 -1}
!200 = !{!"RTAsyncStackAddrspace", i32 -1}
!201 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!202 = !{!"SWHotZoneAddrspace", i32 -1}
!203 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!204 = !{!"SWStackAddrspace", i32 -1}
!205 = !{!"SWStackSurfaceStateOffset", i1* null}
!206 = !{!"RTSyncStackAddrspace", i32 -1}
!207 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!208 = !{!"CurUniqueIndirectIdx", i32 0}
!209 = !{!"inlineDynTextures"}
!210 = !{!"inlineResInfoData"}
!211 = !{!"immConstant", !212, !213}
!212 = !{!"data"}
!213 = !{!"sizes"}
!214 = !{!"inlineConstantBuffers"}
!215 = !{!"inlineGlobalBuffers"}
!216 = !{!"GlobalPointerProgramBinaryInfos"}
!217 = !{!"ConstantPointerProgramBinaryInfos"}
!218 = !{!"GlobalBufferAddressRelocInfo"}
!219 = !{!"ConstantBufferAddressRelocInfo"}
!220 = !{!"forceLscCacheList"}
!221 = !{!"SrvMap"}
!222 = !{!"RasterizerOrderedByteAddressBuffer"}
!223 = !{!"MinNOSPushConstantSize", i32 0}
!224 = !{!"inlineProgramScopeOffsets"}
!225 = !{!"shaderData", !226}
!226 = !{!"numReplicas", i32 0}
!227 = !{!"URBInfo", !228, !229, !230}
!228 = !{!"has64BVertexHeaderInput", i1 false}
!229 = !{!"has64BVertexHeaderOutput", i1 false}
!230 = !{!"hasVertexHeader", i1 true}
!231 = !{!"UseBindlessImage", i1 false}
!232 = !{!"enableRangeReduce", i1 false}
!233 = !{!"allowMatchMadOptimizationforVS", i1 false}
!234 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!235 = !{!"statefulResourcesNotAliased", i1 false}
!236 = !{!"disableMixMode", i1 false}
!237 = !{!"PrivateMemoryPerFG"}
!238 = !{!"capabilities", !239}
!239 = !{!"globalVariableDecorationsINTEL", i1 false}
!240 = !{!"m_ShaderResourceViewMcsMask", !241, !242}
!241 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!242 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!243 = !{!"computedDepthMode", i32 0}
!244 = !{!"isHDCFastClearShader", i1 false}
!245 = !{i32 3, i32 0}
!246 = !{}
!247 = !{!"-cl-std=CL3.0"}
